Modify

Opened 6 years ago

Closed 6 years ago

Last modified 4 years ago

#11683 closed defect (fixed)

hostap-driver ar71xx oops

Reported by: acoul Owned by: developers
Priority: response-needed Milestone: Barrier Breaker 14.07
Component: kernel Version: Trunk
Keywords: hostap-driver ar71xx oops kernel hostap_pci Cc:

Description

Linux version 3.3.8 (alex@aifnis) (gcc version 4.7.1 (GCC) ) #4 Fri Jun 15 12:42:49 EEST 2012
MyLoader: sysp=00000000, boardp=00000000, parts=ace50014
bootconsole [early0] enabled
CPU revision is: 00019374 (MIPS 24Kc)
SoC: Atheros AR7161 rev 2
Clocks: CPU:680.000MHz, DDR:340.000MHz, AHB:170.000MHz, Ref:40.000MHz
Determined physical RAM map:
 memory: 04000000 @ 00000000 (usable)
Zone PFN ranges:
  Normal   0x00000000 -> 0x00004000
Movable zone start PFN for each node
Early memory PFN ranges
    0: 0x00000000 -> 0x00004000
On node 0 totalpages: 16384
free_area_init_node: node 0, pgdat 802d63f0, node_mem_map 81000000
  Normal zone: 128 pages used for memmap
  Normal zone: 0 pages reserved
  Normal zone: 16256 pages, LIFO batch:3
pcpu-alloc: s0 r0 d32768 u32768 alloc=1*32768
pcpu-alloc: [0] 0 
Built 1 zonelists in Zone order, mobility grouping on.  Total pages: 16256
Kernel command line:  board=UBNT-RS console=ttyS0,115200 ethaddr=00.15.6d.c1.b8.48 rootfstype=squashfs,jffs2 noinitrd
PID hash table entries: 256 (order: -2, 1024 bytes)
Dentry cache hash table entries: 8192 (order: 3, 32768 bytes)
Inode-cache hash table entries: 4096 (order: 2, 16384 bytes)
Primary instruction cache 64kB, VIPT, 4-way, linesize 32 bytes.
Primary data cache 32kB, 4-way, VIPT, cache aliases, linesize 32 bytes
Writing ErrCtl register=0007efb2
Readback ErrCtl register=0007efb2
Memory: 61752k/65536k available (2099k kernel code, 3784k reserved, 422k data, 188k init, 0k highmem)
SLUB: Genslabs=9, HWalign=32, Order=0-3, MinObjects=0, CPUs=1, Nodes=1
NR_IRQS:48
Calibrating delay loop... 452.19 BogoMIPS (lpj=2260992)
pid_max: default: 32768 minimum: 301
Mount-cache hash table entries: 512
NET: Registered protocol family 16
gpiochip_add: registered GPIOs 0 to 15 on device: ath79
MIPS: machine is Ubiquiti RouterStation
registering PCI controller with io_map_base unset
bio: create slab <bio-0> at 0
PCI host bridge to bus 0000:00
pci_bus 0000:00: root bus resource [mem 0x10000000-0x17ffffff]
pci_bus 0000:00: root bus resource [io  0x0000]
pci 0000:00:11.0: [168c:0013] type 0 class 0x000200
pci 0000:00:11.0: reg 10: [mem 0x00000000-0x0000ffff]
pci 0000:00:12.0: [1260:3873] type 0 class 0x000280
pci 0000:00:12.0: reg 10: [mem 0x00000000-0x00000fff pref]
pci 0000:00:12.0: supports D1 D2
pci 0000:00:12.0: PME# supported from D0 D1 D2 D3hot
pci 0000:00:11.0: BAR 0: assigned [mem 0x10000000-0x1000ffff]
pci 0000:00:12.0: BAR 0: assigned [mem 0x10010000-0x10010fff pref]
pci 0000:00:11.0: using irq 40 for pin 1
pci 0000:00:12.0: using irq 41 for pin 1
Switching to clocksource MIPS
NET: Registered protocol family 2
IP route cache hash table entries: 1024 (order: 0, 4096 bytes)
TCP established hash table entries: 2048 (order: 2, 16384 bytes)
TCP bind hash table entries: 2048 (order: 1, 8192 bytes)
TCP: Hash tables configured (established 2048 bind 2048)
TCP reno registered
UDP hash table entries: 256 (order: 0, 4096 bytes)
UDP-Lite hash table entries: 256 (order: 0, 4096 bytes)
NET: Registered protocol family 1
PCI: CLS 0 bytes, default 32
squashfs: version 4.0 (2009/01/31) Phillip Lougher
JFFS2 version 2.2 (NAND) (SUMMARY) (LZMA) (RTIME) (CMODE_PRIORITY) (c) 2001-2006 Red Hat, Inc.
yaffs: yaffs built Jun 15 2012 11:58:11 Installing.
msgmni has been set to 120
io scheduler noop registered
io scheduler deadline registered (default)
Serial: 8250/16550 driver, 1 ports, IRQ sharing disabled
serial8250.0: ttyS0 at MMIO 0x18020000 (irq = 11) is a 16550A
console [ttyS0] enabled, bootconsole disabled
m25p80 spi0.0: found mx25l12805d, expected m25p80
m25p80 spi0.0: mx25l12805d (16384 Kbytes)
Searching for RedBoot partition table in spi0.0 at offset 0xfe0000
Searching for RedBoot partition table in spi0.0 at offset 0xff0000
5 RedBoot partitions found on MTD device spi0.0
Creating 5 MTD partitions on "spi0.0":
0x000000000000-0x000000030000 : "RedBoot"
0x000000030000-0x000000120000 : "kernel"
0x000000120000-0x000000ff0000 : "rootfs"
mtd: partition "rootfs" set to be root filesystem
mtd: partition "rootfs_data" created automatically, ofs=1E0000, len=E10000 
0x0000001e0000-0x000000ff0000 : "rootfs_data"
0x000000ff0000-0x000000fff000 : "FIS directory"
0x000000fff000-0x000001000000 : "RedBoot config"
ag71xx_mdio: probed
eth0: Atheros AG71xx at 0xb9000000, irq 4
ag71xx ag71xx.0: eth0: connected to PHY at ag71xx-mdio.0:14 [uid=03026071, driver=Generic PHY]
eth1: Atheros AG71xx at 0xba000000, irq 5
TCP westwood registered
NET: Registered protocol family 17
drivers/rtc/hctosys.c: unable to open rtc device (rtc0)
VFS: Mounted root (squashfs filesystem) readonly on device 31:2.
Freeing unused kernel memory: 188k freed
ar71xx: pll_reg 0xb8050010: 0x1099
eth0: link up (100Mbps/Full duplex)
JFFS2 notice: (396) jffs2_build_xattr_subsystem: complete building xattr subsystem, 1 of xdatum (1 unchecked, 0 orphan) and 13 of xref (0 dead, 7 orphan) found.
eth0: link down
Compat-wireless backport release: compat-wireless-2012-05-16-3-gde86a47
Backport based on wireless-testing.git master-2012-05-29
compat.git: wireless-testing.git
lib80211: common routines for IEEE802.11 drivers
lib80211_crypt: registered algorithm 'NULL'
PCI: Enabling device 0000:00:12.0 (0000 -> 0002)
hostap_pci: Registered netdevice wifi0
Data bus error, epc == 83f60290, ra == 83f65570
Oops[#1]:
Cpu 0
$ 0   : 00000000 00000000 b0010000 83f70000
$ 4   : 83f66af4 83c72000 81082030 00002ffe
$ 8   : 00000008 8016bc08 00000001 74646576
$12   : 00000000 802d540c 83ec7b20 00000000
$16   : 83c72000 000000de 83f60000 83c15000
$20   : 10010000 83f9a080 b0010000 83f70000
$24   : 00000000 8019a700                  
$28   : 83ed2000 83ed3cb8 00000000 83f65570
Hi    : 00000000
Lo    : 19d60000
epc   : 83f60290 0x83f60290
    Tainted: G           O
ra    : 83f65570 0x83f65570
Status: 1000f403    KERNEL EXL IE 
Cause : 1080001c
PrId  : 00019374 (MIPS 24Kc)
Modules linked in: hostap_pci(+) hostap lib80211(O) compat(O)
Process insmod (pid: 438, threadinfo=83ed2000, task=83f129e0, tls=77ac6440)
Stack : 83f60000 83c15000 10010000 83f9a080 83ed3cdc 83c72464 83c72000 83f65570
        83f9c5f0 83f6733c 83c72000 00000000 00000000 8011bb60 83c15060 83c15060
        83f64f30 83c15000 83c15060 83f69120 83f69150 802700b8 802c0000 00000000
        802700d8 8018692c 802700b8 801a4584 83c12d70 00000000 80300000 83c15060
        83c15094 83f69150 80310000 801a4880 802700b8 80260ac0 83f9c550 00000000
        ...
Call Trace:[<83f60000>] 0x83f60000
[<83f65570>] 0x83f65570
[<8011bb60>] 0x8011bb60
[<83f64f30>] 0x83f64f30
[<8018692c>] 0x8018692c
[<801a4584>] 0x801a4584
[<801a4880>] 0x801a4880
[<80260ac0>] 0x80260ac0
[<801a4950>] 0x801a4950
[<801a49cc>] 0x801a49cc
[<801a4950>] 0x801a4950
[<801a2d70>] 0x801a2d70
[<801a2ef4>] 0x801a2ef4
[<80163794>] 0x80163794
[<801a40d4>] 0x801a40d4
[<800910c0>] 0x800910c0
[<801a4de0>] 0x801a4de0
[<80186b10>] 0x80186b10
[<83f6f000>] 0x83f6f000
[<80060904>] 0x80060904
[<800cb93c>] 0x800cb93c
[<8008f1f8>] 0x8008f1f8
[<800a3000>] 0x800a3000
[<800c80fc>] 0x800c80fc
[<80069bd0>] 0x80069bd0


Code: 8c420508  8c420000  9051004c <323100ff> 0c09a100  02203021  8e02038c  2403ff80  02231825 
---[ end trace 8e0b29f023bf3221 ]---
ar71xx: pll_reg 0xb8050010: 0x1099
eth0: link up (100Mbps/Full duplex)
root@OpenWrt:/#

Last working image was a r27191 with kernel 3.0-rc3

Attachments (0)

Change History (17)

comment:1 Changed 6 years ago by nbd

  • Priority changed from high to response-needed

CONFIG_KERNEL_KALLSYMS

comment:2 Changed 6 years ago by acoul

CONFIG_KERNEL_KALLSYMS=y
# Stripping options
CONFIG_NO_STRIP=y
# CONFIG_USE_STRIP is not set
# CONFIG_USE_SSTRIP is not set
# CONFIG_STRIP_KERNEL_EXPORTS is not set

Linux version 3.3.8 (alex@aifnis) (gcc version 4.7.1 (GCC) ) #1 Mon Jun 25 13:09:54 EEST 2012

root@OpenWrt:/# lsmod 
Module                  Size  Used by    Tainted: G  
hostap                 88745  0 
lib80211                2991  1 hostap
compat                  1077  1 lib80211

root@OpenWrt:/# insmod hostap_pci
hostap_pci: Registered netdevice wifi0
Data bus error, epc == 83ff0290, ra == 83ff5584
Oops[#1]:
Cpu 0
$ 0   : 00000000 00000000 b0010000 84000000
$ 4   : 83ff6b40 83c72000 81082030 00005bbe
$ 8   : 00000008 8016e028 00000001 74646576
$12   : 00000000 802ff48c 83ede520 00000000
$16   : 83c72000 000000de 83ff0000 83c15000
$20   : 10010000 83fe2800 b0010000 84000000
$24   : 00000000 8019cb50                  
$28   : 83f3a000 83f3bcb8 00000000 83ff5584
Hi    : 00000000
Lo    : 19d60000
epc   : 83ff0290 init_module+0x4290/0xaa70 [hostap_pci]
    Tainted: G           O
ra    : 83ff5584 init_module+0x9584/0xaa70 [hostap_pci]
Status: 1000f403    KERNEL EXL IE 
Cause : 1080001c
PrId  : 00019374 (MIPS 24Kc)
Modules linked in: hostap_pci(+) hostap lib80211(O) compat(O)
Process insmod (pid: 609, threadinfo=83f3a000, task=83d15d50, tls=77e5b440)
Stack : 83ff0000 83c15000 10010000 83fe2800 83f3bcdc 83c72464 83c72000 83ff5584
        83f56b40 83ff7388 83c72000 00000000 00000000 8011dec0 83c15060 83c15060
        83ff4f44 83c15000 83c15060 83ff9170 83ff91a0 0000001c 00000028 800a1aac
        00000124 80188d6c 0000001c 801a6a44 83c12d70 00000000 80330000 83c15060
        83c15094 83ff91a0 80340000 801a6d40 0000001c 80263110 83f56aa0 83f51174
        ...
Call Trace:
[<83ff0290>] init_module+0x4290/0xaa70 [hostap_pci]
[<83ff5584>] init_module+0x9584/0xaa70 [hostap_pci]


Code: 8c420508  8c420000  9051004c <323100ff> 0c09aa92  02203021  8e02038c  2403ff80  02231825 
---[ end trace fb119347df66c9bf ]---
root@OpenWrt:/#

I was able to load the driver only once:

CONFIG_KERNEL_KALLSYMS=y
# Stripping options
CONFIG_NO_STRIP=y
# CONFIG_USE_STRIP is not set
# CONFIG_USE_SSTRIP is not set
# CONFIG_STRIP_KERNEL_EXPORTS is not set

Linux version 3.3.8 (alex@aifnis) (gcc version 4.7.1 (GCC) ) #1 Mon Jun 25 13:09:54 EEST 2012

root@OpenWrt:/# lsmod 
Module                  Size  Used by    Tainted: G  
hostap                 88745  0 
lib80211                2991  1 hostap
compat                  1077  1 lib80211

root@OpenWrt:/# insmod hostap_pci
PCI: Enabling device 0000:00:12.0 (0000 -> 0002)
hostap_pci: Registered netdevice wifi0
wifi0: Intersil Prism2.5 PCI: mem=0x10010000, irq=41

root@OpenWrt:/# iwconfig 
wifi0     IEEE 802.11-DS  ESSID:"test"  
          Mode:Master  Tx-Power:15 dBm   
          Encryption key:off
          
lo        no wireless extensions.

eth1      no wireless extensions.

wlan0     IEEE 802.11-DS  ESSID:"test"  
          Mode:Master  Tx-Power:15 dBm   
          Encryption key:off
          Link Quality:0  Signal level:0  Noise level:0
          Rx invalid nwid:0  Rx invalid crypt:0  Rx invalid frag:0
          Tx excessive retries:0  Invalid misc:0   Missed beacon:0

eth0      no wireless extensions.

root@OpenWrt:/# uptime
 00:04:43 up 4 min,  load average: 0.00, 0.03, 0.02

root@OpenWrt:/# cat /proc/interrupts 
           CPU0       
  4:        159      MIPS  eth0
  5:          0      MIPS  eth1
  7:      29092      MIPS  timer
 11:        341      MISC  serial
 41:          0  AR71XX PCI  wifi0
ERR:          0
root@OpenWrt:/#

comment:3 Changed 6 years ago by acoul

Here is the 3.0.36 image that works rock/stable

ADM6996FC PHY found on MAC0
ADM6996FC PHY found on MAC1
Ethernet eth0: MAC address 00:15:6d:c1:b8:48
IP: 192.168.1.20/255.255.255.0, Gateway: 0.0.0.0
Default server: 192.168.1.42

RedBoot(tm) bootstrap and debug environment [ROMRAM]
Ubiquiti Networks certified release, version 0.9.9.07 - built 14:01:39, Apr 23 2009

Copyright (C) 2000, 2001, 2002, 2003, 2004 Red Hat, Inc.

Board: Ubiquiti RouterStation
RAM: 0x80000000-0x84000000, [0x8003ba50-0x83fe1000] available
FLASH: 0xbf000000 - 0xc0000000, 256 blocks of 0x00010000 bytes each.
== Executing boot script in 1.000 seconds - enter ^C to abort
RedBoot> fis load -d -e kernel
Trying LZMA decompression...
Image loaded from 0x80060000-0x802c044c
Image is not ELF, skipping ELF parsing...
RedBoot> exec
Now booting linux kernel:
 Base address 0x80050000 Entry 0x80060000
Linux version 3.0.36 (alex@aifnis) (gcc version 4.7.1 (GCC) ) #2 Mon Jun 25 14:59:50 EEST 2012
bootconsole [early0] enabled
CPU revision is: 00019374 (MIPS 24Kc)
SoC: Atheros AR7161 rev 2
Clocks: CPU:680.000MHz, DDR:340.000MHz, AHB:170.000MHz, Ref:40.000MHz
Determined physical RAM map:
 memory: 04000000 @ 00000000 (usable)
Zone PFN ranges:
  Normal   0x00000000 -> 0x00004000
Movable zone start PFN for each node
early_node_map[1] active PFN ranges
    0: 0x00000000 -> 0x00004000
Built 1 zonelists in Zone order, mobility grouping on.  Total pages: 16256
Kernel command line:  board=UBNT-RS console=ttyS0,115200 ethaddr=00.15.6d.c1.b8.48 rootfstype=squashfs,jffs2 noinitrd
PID hash table entries: 256 (order: -2, 1024 bytes)
Dentry cache hash table entries: 8192 (order: 3, 32768 bytes)
Inode-cache hash table entries: 4096 (order: 2, 16384 bytes)
Primary instruction cache 64kB, VIPT, 4-way, linesize 32 bytes.
Primary data cache 32kB, 4-way, VIPT, cache aliases, linesize 32 bytes
Writing ErrCtl register=0007efb2
Readback ErrCtl register=0007efb2
Memory: 62032k/65536k available (1920k kernel code, 3504k reserved, 361k data, 152k init, 0k highmem)
NR_IRQS:80
Calibrating delay loop... 452.19 BogoMIPS (lpj=2260992)
pid_max: default: 32768 minimum: 301
Mount-cache hash table entries: 512
NET: Registered protocol family 16
MIPS: machine is Ubiquiti RouterStation
registering PCI controller with io_map_base unset
bio: create slab <bio-0> at 0
pci 0000:00:11.0: BAR 0: assigned [mem 0x10000000-0x1000ffff]
pci 0000:00:11.0: BAR 0: set to [mem 0x10000000-0x1000ffff] (PCI address [0x10000000-0x1000ffff])
pci 0000:00:12.0: BAR 0: assigned [mem 0x10010000-0x10010fff pref]
pci 0000:00:12.0: BAR 0: set to [mem 0x10010000-0x10010fff pref] (PCI address [0x10010000-0x10010fff])
PCI: mapping irq 72 to pin1@0000:00:11.0
PCI: mapping irq 73 to pin1@0000:00:12.0
Switching to clocksource MIPS
NET: Registered protocol family 2
IP route cache hash table entries: 1024 (order: 0, 4096 bytes)
Switched to NOHz mode on CPU #0
TCP established hash table entries: 2048 (order: 2, 16384 bytes)
TCP bind hash table entries: 2048 (order: 1, 8192 bytes)
TCP: Hash tables configured (established 2048 bind 2048)
TCP reno registered
UDP hash table entries: 256 (order: 0, 4096 bytes)
UDP-Lite hash table entries: 256 (order: 0, 4096 bytes)
NET: Registered protocol family 1
squashfs: version 4.0 (2009/01/31) Phillip Lougher
JFFS2 version 2.2 (NAND) (SUMMARY) (LZMA) (RTIME) (CMODE_PRIORITY) (c) 2001-2006 Red Hat, Inc.
msgmni has been set to 121
io scheduler noop registered
io scheduler deadline registered (default)
Serial: 8250/16550 driver, 1 ports, IRQ sharing disabled
serial8250.0: ttyS0 at MMIO 0x18020000 (irq = 11) is a 16550A
console [ttyS0] enabled, bootconsole disabled
console [ttyS0] enabled, bootconsole disabled
Atheros AR71xx SPI Controller driver version 0.2.4
m25p80 spi0.0: found mx25l12805d, expected m25p80
m25p80 spi0.0: mx25l12805d (16384 Kbytes)
Searching for RedBoot partition table in spi0.0 at offset 0xfe0000
Searching for RedBoot partition table in spi0.0 at offset 0xff0000
5 RedBoot partitions found on MTD device spi0.0
Creating 5 MTD partitions on "spi0.0":
0x000000000000-0x000000030000 : "RedBoot"
0x000000030000-0x000000100000 : "kernel"
0x000000100000-0x000000ff0000 : "rootfs"
mtd: partition "rootfs" set to be root filesystem
mtd: partition "rootfs_data" created automatically, ofs=2A0000, len=D50000 
0x0000002a0000-0x000000ff0000 : "rootfs_data"
0x000000ff0000-0x000000fff000 : "FIS directory"
0x000000fff000-0x000001000000 : "RedBoot config"
ag71xx_mdio: probed
eth0: Atheros AG71xx at 0xb9000000, irq 4
eth1: Atheros AG71xx at 0xba000000, irq 5
Atheros AR71xx hardware watchdog driver version 0.1.0
TCP westwood registered
NET: Registered protocol family 17
drivers/rtc/hctosys.c: unable to open rtc device (rtc0)
VFS: Mounted root (squashfs filesystem) readonly on device 31:2.
Freeing unused kernel memory: 152k freed
- preinit -
Press the [f] key and hit [enter] to enter failsafe mode
eth0: link up (100Mbps/Full duplex)
- regular preinit -
JFFS2 notice: (330) jffs2_build_xattr_subsystem: complete building xattr subsystem, 1 of xdatum (1 unchecked, 0 orphan) and 8 of xref (0 dead, 2 orphan) found.
switching to jffs2
- init -
eth0: link down

Please press Enter to activate this console. Compat-wireless backport release: compat-wireless-2012-06-14
Backport based on wireless-testing.git master-2012-06-14
compat.git: wireless-testing.git
lib80211: common routines for IEEE802.11 drivers
PCI: Enabling device 0000:00:12.0 (0000 -> 0002)
hostap_pci: Registered netdevice wifi0
wifi0: NIC: id=0x8013 v1.0.0
wifi0: PRI: id=0x15 v1.1.0
wifi0: STA: id=0x1f v1.4.9
wifi0: Intersil Prism2.5 PCI: mem=0x10010000, irq=73
eth0: link up (100Mbps/Full duplex)



BusyBox v1.20.1 (2012-06-21 22:24:00 EEST) built-in shell (ash)
Enter 'help' for a list of built-in commands.

  _______                     ________        __
 |       |.-----.-----.-----.|  |  |  |.----.|  |_
 |   -   ||  _  |  -__|     ||  |  |  ||   _||   _|
 |_______||   __|_____|__|__||________||__|  |____|
          |__| W I R E L E S S   F R E E D O M
 -----------------------------------------------------
 ATTITUDE ADJUSTMENT (Bleeding Edge, r32499)
 -----------------------------------------------------
  * 1/4 oz Vodka      Pour all ingredients into mixing
  * 1/4 oz Gin        tin with ice, strain into glass.
  * 1/4 oz Amaretto
  * 1/4 oz Triple sec
  * 1/4 oz Peach schnapps
  * 1/4 oz Sour mix
  * 1 splash Cranberry juice
 -----------------------------------------------------
root@OpenWrt:/# cat /proc/interrupts 
           CPU0       
  4:         36      MIPS  eth0
  5:          0      MIPS  eth1
  6:          0      MIPS  cascade [AR71XX MISC]
  7:       1306      MIPS  timer
 10:          0  AR71XX MISC  cascade [AR71XX GPIO]
 11:         99  AR71XX MISC  serial
 73:         26  AR71XX PCI   wifi0
ERR:          0
root@OpenWrt:/# iwconfig 
lo        no wireless extensions.

eth0      no wireless extensions.

eth1      no wireless extensions.

wifi0     IEEE 802.11b  ESSID:"test"  
          Mode:Master  Access Point: Not-Associated   Bit Rate=11 Mb/s   
          Tx-Power:-16 dBm   
          RTS thr:off   Fragment thr:off
          Encryption key:off
          Power Management:off
          
wlan0     IEEE 802.11b  ESSID:"test"  
          Mode:Master  Access Point: Not-Associated   Bit Rate=11 Mb/s   
          Tx-Power:-16 dBm   
          RTS thr:off   Fragment thr:off
          Encryption key:off
          Power Management:off
          Link Quality:0  Signal level:0  Noise level:0
          Rx invalid nwid:0  Rx invalid crypt:0  Rx invalid frag:0
          Tx excessive retries:0  Invalid misc:0   Missed beacon:0

root@OpenWrt:/# lsmod 
Module                  Size  Used by    Not tainted
hostap_pci             38544  0 
hostap                 86112  1 hostap_pci
lib80211                2544  2 hostap_pci,hostap
compat                  3440  1 lib80211
root@OpenWrt:/#

comment:4 Changed 6 years ago by acoul

on a MikroTik RB411 hostap-driver/3.3.8 kernel has also issues

Linux version 3.3.8 (alex@aifnis) (gcc version 4.7.1 (GCC) ) #1 Mon Jun 25 15:56:23 EEST 2012
bootconsole [early0] enabled
CPU revision is: 00019374 (MIPS 24Kc)
SoC: Atheros AR7130 rev 2
Clocks: CPU:300.000MHz, DDR:300.000MHz, AHB:150.000MHz, Ref:40.000MHz
Determined physical RAM map:
 memory: 02000000 @ 00000000 (usable)
User-defined physical RAM map:
 memory: 02000000 @ 00000000 (usable)
Initrd not found or empty - disabling initrd
Zone PFN ranges:
  Normal   0x00000000 -> 0x00002000
Movable zone start PFN for each node
Early memory PFN ranges
    0: 0x00000000 -> 0x00002000
On node 0 totalpages: 8192
free_area_init_node: node 0, pgdat 802999d0, node_mem_map 81000000
  Normal zone: 64 pages used for memmap
  Normal zone: 0 pages reserved
  Normal zone: 8128 pages, LIFO batch:0
pcpu-alloc: s0 r0 d32768 u32768 alloc=1*32768
pcpu-alloc: [0] 0 
Built 1 zonelists in Zone order, mobility grouping on.  Total pages: 8128
Kernel command line:  console=ttyS0,115200 gpio=4031 HZ=150000000 mem=32M kmac=00:0C:42:35:50:8B board=411 boot=1 rootfstype=yaffs noinitrd
PID hash table entries: 128 (order: -3, 512 bytes)
Dentry cache hash table entries: 4096 (order: 2, 16384 bytes)
Inode-cache hash table entries: 2048 (order: 1, 8192 bytes)
Primary instruction cache 64kB, VIPT, 4-way, linesize 32 bytes.
Primary data cache 32kB, 4-way, VIPT, cache aliases, linesize 32 bytes
Writing ErrCtl register=00038400
Readback ErrCtl register=00038400
Memory: 28728k/32768k available (1916k kernel code, 4040k reserved, 363k data, 968k init, 0k highmem)
NR_IRQS:48
Calibrating delay loop... 199.06 BogoMIPS (lpj=995328)
pid_max: default: 32768 minimum: 301
Mount-cache hash table entries: 512
NET: Registered protocol family 16
gpiochip_add: registered GPIOs 0 to 15 on device: ath79
MIPS: machine is MikroTik RouterBOARD 411/A/AH
registering PCI controller with io_map_base unset
bio: create slab <bio-0> at 0
PCI host bridge to bus 0000:00
pci_bus 0000:00: root bus resource [mem 0x10000000-0x17ffffff]
pci_bus 0000:00: root bus resource [io  0x0000]
pci 0000:00:12.0: [1260:3873] type 0 class 0x000280
pci 0000:00:12.0: reg 10: [mem 0x00000000-0x00000fff pref]
pci 0000:00:12.0: supports D1 D2
pci 0000:00:12.0: PME# supported from D0 D1 D2 D3hot
pci 0000:00:12.0: BAR 0: assigned [mem 0x10000000-0x10000fff pref]
pci 0000:00:12.0: using irq 40 for pin 1
Switching to clocksource MIPS
NET: Registered protocol family 2
IP route cache hash table entries: 1024 (order: 0, 4096 bytes)
TCP established hash table entries: 1024 (order: 1, 8192 bytes)
TCP bind hash table entries: 1024 (order: 0, 4096 bytes)
TCP: Hash tables configured (established 1024 bind 1024)
TCP reno registered
UDP hash table entries: 256 (order: 0, 4096 bytes)
UDP-Lite hash table entries: 256 (order: 0, 4096 bytes)
NET: Registered protocol family 1
PCI: CLS 0 bytes, default 32
yaffs: yaffs built Jun 25 2012 15:56:15 Installing.
msgmni has been set to 56
io scheduler noop registered
io scheduler deadline registered (default)
Serial: 8250/16550 driver, 1 ports, IRQ sharing disabled
serial8250.0: ttyS0 at MMIO 0x18020000 (irq = 11) is a 16550A
console [ttyS0] enabled, bootconsole disabled
gpiochip_add: registered GPIOs 32 to 40 on device: spi-rb4xx-cpld
m25p80 spi0.0: pm25lv512 (64 Kbytes)
Creating 4 MTD partitions on "spi0.0":
0x000000000000-0x00000000b000 : "routerboot"
0x00000000b000-0x00000000c000 : "hard_config"
0x00000000d000-0x00000000f000 : "bios"
0x00000000f000-0x000000010000 : "soft_config"
NAND flash driver for RouterBoard 4xx series version 0.2.0
NAND device: Manufacturer ID: 0xad, Chip ID: 0x76 (Hynix NAND 64MiB 3,3V 8-bit)
Scanning device for bad blocks
Creating 3 MTD partitions on "NAND 64MiB 3,3V 8-bit":
0x000000000000-0x000000040000 : "booter"
0x000000040000-0x000000600000 : "kernel"
0x000000600000-0x000004000000 : "rootfs"
mtd: partition "rootfs" set to be root filesystem
split_squashfs: no squashfs found in "NAND 64MiB 3,3V 8-bit"
ag71xx_mdio: probed
eth0: Atheros AG71xx at 0xb9000000, irq 4
ag71xx ag71xx.0: eth0: connected to PHY at ag71xx-mdio.0:00 [uid=00221512, driver=Generic PHY]
TCP westwood registered
NET: Registered protocol family 17
drivers/rtc/hctosys.c: unable to open rtc device (rtc0)
Freeing unused kernel memory: 968k freed
ar71xx: pll_reg 0xb8050010: 0x1099
eth0: link up (100Mbps/Full duplex)
eth0: link down
Compat-wireless backport release: compat-wireless-2012-06-14
Backport based on wireless-testing.git master-2012-06-14
compat.git: wireless-testing.git
lib80211: common routines for IEEE802.11 drivers
lib80211_crypt: registered algorithm 'NULL'
lib80211_crypt: registered algorithm 'WEP'
lib80211_crypt: registered algorithm 'CCMP'
lib80211_crypt: registered algorithm 'TKIP'
PCI: Enabling device 0000:00:12.0 (0000 -> 0002)
hostap_pci: Registered netdevice wifi0
wifi0: Original COR value: 0x0
hostap_pci: assuming no Primary image in flash - card initialization not completed
wifi0: test Genesis mode with HCR 0x1f
wifi0: Original COR value: 0x0
Readback test failed, HCR 0x1f write 00 e1 a1 ff read 00 00 00 00
wifi0: test Genesis mode with HCR 0x0f
wifi0: Original COR value: 0x0
Readback test failed, HCR 0x0f write 00 e1 a1 ff read 00 00 00 00
wifi0: Intersil Prism2.5 PCI: mem=0x10000000, irq=40
wifi0: registered netdevice wlan0
ar71xx: pll_reg 0xb8050010: 0x1099
eth0: link up (100Mbps/Full duplex)
wifi0: cannot get RID fdc6 (len=12) - no PRI f/w
wifi0: cannot get RID fdc1 (len=2) - no PRI f/w
wifi0: cannot get RID fdc6 (len=12) - no PRI f/w
wifi0: cannot get RID fd42 (len=6) - no PRI f/w
wifi0: cannot get RID fc84 (len=2) - no PRI f/w
wifi0: cannot get RID fc09 (len=2) - no PRI f/w
wifi0: hfa384x_cmd: entry still in list? (entry=815c4400, type=0, res=0)
wifi0: hfa384x_cmd: command was not completed (res=0, entry=815c4400, type=0, cmd=0x0030, param0=0x003e, EVSTAT=0000 INTEN=0000)
wifi0: cannot get RID fc83 (len=2) - no PRI f/w
wifi0: cannot get RID fc82 (len=2) - no PRI f/w
wlan0: cannot get RID fdc6 (len=12) - no PRI f/w
wlan0: cannot get RID fdc1 (len=2) - no PRI f/w
wlan0: cannot get RID fdc6 (len=12) - no PRI f/w
wlan0: cannot get RID fd42 (len=6) - no PRI f/w
wlan0: cannot get RID fc84 (len=2) - no PRI f/w
wlan0: cannot get RID fc09 (len=2) - no PRI f/w
wlan0: hfa384x_cmd: entry still in list? (entry=815c4400, type=0, res=0)
wlan0: hfa384x_cmd: command was not completed (res=0, entry=815c4400, type=0, cmd=0x0030, param0=0x003e, EVSTAT=0000 INTEN=0000)
wlan0: cannot get RID fc83 (len=2) - no PRI f/w
wlan0: cannot get RID fc82 (len=2) - no PRI f/w
root@OpenWrt:/# iwconfig 
cat wifi0     IEEE 802.11-DS  ESSID:"test"  
          Mode:Master  Tx-Power:15 dBm   
          Encryption key:off
          
lo        no wireless extensions.

/pr     wlan0     IEEE 802.11-DS  ESSID:"test"  
          Mode:Master  Tx-Power:15 dBm   
          Encryption key:off
          Link Quality:0  Signal level:0  Noise level:0
          Rx invalid nwid:0  Rx invalid crypt:0  Rx invalid frag:0
          Tx excessive retries:0  Invalid misc:0   Missed beacon:0

eth0      no wireless extensions.

root@OpenWrt:/# cat /proc/interrupts 
           CPU0       
  4:         33      MIPS  eth0
  7:       3493      MIPS  timer
 11:       1142      MISC  serial
 40:          0  AR71XX PCI  wifi0
ERR:          0
root@OpenWrt:/# 

comment:5 Changed 6 years ago by acoul

a RouterStation with 3 miniPCI cards, hostap-driver working like a charm

ADM6996FC PHY found on MAC0
ADM6996FC PHY found on MAC1
Ethernet eth0: MAC address 00:15:6d:c1:b8:48
IP: 192.168.1.20/255.255.255.0, Gateway: 0.0.0.0
Default server: 192.168.1.42

RedBoot(tm) bootstrap and debug environment [ROMRAM]
Ubiquiti Networks certified release, version 0.9.9.07 - built 14:01:39, Apr 23 2009

Copyright (C) 2000, 2001, 2002, 2003, 2004 Red Hat, Inc.

Board: Ubiquiti RouterStation
RAM: 0x80000000-0x84000000, [0x8003ba50-0x83fe1000] available
FLASH: 0xbf000000 - 0xc0000000, 256 blocks of 0x00010000 bytes each.
== Executing boot script in 1.000 seconds - enter ^C to abort
RedBoot> fis load -d -e kernel
Trying LZMA decompression...
Image loaded from 0x80060000-0x802c044c
Image is not ELF, skipping ELF parsing...
RedBoot> exec
Now booting linux kernel:
 Base address 0x80050000 Entry 0x80060000
Linux version 3.0.36 (alex@aifnis) (gcc version 4.7.1 (GCC) ) #2 Mon Jun 25 14:59:50 EEST 2012
bootconsole [early0] enabled
CPU revision is: 00019374 (MIPS 24Kc)
SoC: Atheros AR7161 rev 2
Clocks: CPU:680.000MHz, DDR:340.000MHz, AHB:170.000MHz, Ref:40.000MHz
Determined physical RAM map:
 memory: 04000000 @ 00000000 (usable)
Zone PFN ranges:
  Normal   0x00000000 -> 0x00004000
Movable zone start PFN for each node
early_node_map[1] active PFN ranges
    0: 0x00000000 -> 0x00004000
Built 1 zonelists in Zone order, mobility grouping on.  Total pages: 16256
Kernel command line:  board=UBNT-RS console=ttyS0,115200 ethaddr=00.15.6d.c1.b8.48 rootfstype=squashfs,jffs2 noinitrd
PID hash table entries: 256 (order: -2, 1024 bytes)
Dentry cache hash table entries: 8192 (order: 3, 32768 bytes)
Inode-cache hash table entries: 4096 (order: 2, 16384 bytes)
Primary instruction cache 64kB, VIPT, 4-way, linesize 32 bytes.
Primary data cache 32kB, 4-way, VIPT, cache aliases, linesize 32 bytes
Writing ErrCtl register=0007efb2
Readback ErrCtl register=0007efb2
Memory: 62032k/65536k available (1920k kernel code, 3504k reserved, 361k data, 152k init, 0k highmem)
NR_IRQS:80
Calibrating delay loop... 452.19 BogoMIPS (lpj=2260992)
pid_max: default: 32768 minimum: 301
Mount-cache hash table entries: 512
NET: Registered protocol family 16
MIPS: machine is Ubiquiti RouterStation
registering PCI controller with io_map_base unset
bio: create slab <bio-0> at 0
pci 0000:00:11.0: BAR 0: assigned [mem 0x10000000-0x10000fff pref]
pci 0000:00:11.0: BAR 0: set to [mem 0x10000000-0x10000fff pref] (PCI address [0x10000000-0x10000fff])
pci 0000:00:12.0: BAR 0: assigned [mem 0x10001000-0x10001fff pref]
pci 0000:00:12.0: BAR 0: set to [mem 0x10001000-0x10001fff pref] (PCI address [0x10001000-0x10001fff])
pci 0000:00:13.0: BAR 0: assigned [mem 0x10002000-0x10002fff pref]
pci 0000:00:13.0: BAR 0: set to [mem 0x10002000-0x10002fff pref] (PCI address [0x10002000-0x10002fff])
PCI: mapping irq 72 to pin1@0000:00:11.0
PCI: mapping irq 73 to pin1@0000:00:12.0
PCI: mapping irq 74 to pin1@0000:00:13.0
Switching to clocksource MIPS
NET: Registered protocol family 2
IP route cache hash table entries: 1024 (order: 0, 4096 bytes)
Switched to NOHz mode on CPU #0
TCP established hash table entries: 2048 (order: 2, 16384 bytes)
TCP bind hash table entries: 2048 (order: 1, 8192 bytes)
TCP: Hash tables configured (established 2048 bind 2048)
TCP reno registered
UDP hash table entries: 256 (order: 0, 4096 bytes)
UDP-Lite hash table entries: 256 (order: 0, 4096 bytes)
NET: Registered protocol family 1
squashfs: version 4.0 (2009/01/31) Phillip Lougher
JFFS2 version 2.2 (NAND) (SUMMARY) (LZMA) (RTIME) (CMODE_PRIORITY) (c) 2001-2006 Red Hat, Inc.
msgmni has been set to 121
io scheduler noop registered
io scheduler deadline registered (default)
Serial: 8250/16550 driver, 1 ports, IRQ sharing disabled
serial8250.0: ttyS0 at MMIO 0x18020000 (irq = 11) is a 16550A
console [ttyS0] enabled, bootconsole disabled
console [ttyS0] enabled, bootconsole disabled
Atheros AR71xx SPI Controller driver version 0.2.4
m25p80 spi0.0: found mx25l12805d, expected m25p80
m25p80 spi0.0: mx25l12805d (16384 Kbytes)
Searching for RedBoot partition table in spi0.0 at offset 0xfe0000
Searching for RedBoot partition table in spi0.0 at offset 0xff0000
5 RedBoot partitions found on MTD device spi0.0
Creating 5 MTD partitions on "spi0.0":
0x000000000000-0x000000030000 : "RedBoot"
0x000000030000-0x000000100000 : "kernel"
0x000000100000-0x000000ff0000 : "rootfs"
mtd: partition "rootfs" set to be root filesystem
mtd: partition "rootfs_data" created automatically, ofs=2A0000, len=D50000 
0x0000002a0000-0x000000ff0000 : "rootfs_data"
0x000000ff0000-0x000000fff000 : "FIS directory"
0x000000fff000-0x000001000000 : "RedBoot config"
ag71xx_mdio: probed
eth0: Atheros AG71xx at 0xb9000000, irq 4
eth1: Atheros AG71xx at 0xba000000, irq 5
Atheros AR71xx hardware watchdog driver version 0.1.0
TCP westwood registered
NET: Registered protocol family 17
drivers/rtc/hctosys.c: unable to open rtc device (rtc0)
VFS: Mounted root (squashfs filesystem) readonly on device 31:2.
Freeing unused kernel memory: 152k freed
- preinit -
Press the [f] key and hit [enter] to enter failsafe mode
eth0: link up (100Mbps/Full duplex)
- regular preinit -
JFFS2 notice: (332) jffs2_build_xattr_subsystem: complete building xattr subsystem, 1 of xdatum (1 unchecked, 0 orphan) and 8 of xref (0 dead, 2 orphan) found.
switching to jffs2
- init -
eth0: link down

Please press Enter to activate this console. Compat-wireless backport release: compat-wireless-2012-06-14
Backport based on wireless-testing.git master-2012-06-14
compat.git: wireless-testing.git
lib80211: common routines for IEEE802.11 drivers
PCI: Enabling device 0000:00:11.0 (0000 -> 0002)
hostap_pci: Registered netdevice wifi0
wifi0: NIC: id=0x8013 v1.0.0
wifi0: PRI: id=0x15 v1.1.0
wifi0: STA: id=0x1f v1.4.9
wifi0: Intersil Prism2.5 PCI: mem=0x10000000, irq=72
PCI: Enabling device 0000:00:12.0 (0000 -> 0002)
hostap_pci: Registered netdevice wifi1
wifi1: NIC: id=0x8013 v1.0.0
wifi1: PRI: id=0x15 v1.1.0
wifi1: STA: id=0x1f v1.4.9
wifi1: Intersil Prism2.5 PCI: mem=0x10001000, irq=73
PCI: Enabling device 0000:00:13.0 (0000 -> 0002)
hostap_pci: Registered netdevice wifi2
wifi2: NIC: id=0x8013 v1.0.0
wifi2: PRI: id=0x15 v1.1.0
wifi2: STA: id=0x1f v1.4.9
wifi2: Intersil Prism2.5 PCI: mem=0x10002000, irq=74
eth0: link up (100Mbps/Full duplex)



BusyBox v1.20.1 (2012-06-21 22:24:00 EEST) built-in shell (ash)
Enter 'help' for a list of built-in commands.

  _______                     ________        __
 |       |.-----.-----.-----.|  |  |  |.----.|  |_
 |   -   ||  _  |  -__|     ||  |  |  ||   _||   _|
 |_______||   __|_____|__|__||________||__|  |____|
          |__| W I R E L E S S   F R E E D O M
 -----------------------------------------------------
 ATTITUDE ADJUSTMENT (Bleeding Edge, r32499)
 -----------------------------------------------------
  * 1/4 oz Vodka      Pour all ingredients into mixing
  * 1/4 oz Gin        tin with ice, strain into glass.
  * 1/4 oz Amaretto
  * 1/4 oz Triple sec
  * 1/4 oz Peach schnapps
  * 1/4 oz Sour mix
  * 1 splash Cranberry juice
 -----------------------------------------------------
root@OpenWrt:/# lsmod 
Module                  Size  Used by    Not tainted
hostap_pci             38544  0 
hostap                 86112  1 hostap_pci
lib80211                2544  2 hostap_pci,hostap
compat                  3440  1 lib80211
root@OpenWrt:/# iwconfig 
lo        no wireless extensions.

eth0      no wireless extensions.

eth1      no wireless extensions.

wifi0     IEEE 802.11b  ESSID:"test"  
          Mode:Master  Access Point: Not-Associated   Bit Rate=11 Mb/s   
          Tx-Power:-16 dBm   
          RTS thr:off   Fragment thr:off
          Encryption key:off
          Power Management:off
          
wlan0     IEEE 802.11b  ESSID:"test"  
          Mode:Master  Access Point: Not-Associated   Bit Rate=11 Mb/s   
          Tx-Power:-16 dBm   
          RTS thr:off   Fragment thr:off
          Encryption key:off
          Power Management:off
          Link Quality:0  Signal level:0  Noise level:0
          Rx invalid nwid:0  Rx invalid crypt:0  Rx invalid frag:0
          Tx excessive retries:0  Invalid misc:0   Missed beacon:0

wifi1     IEEE 802.11b  ESSID:"test"  
          Mode:Master  Access Point: Not-Associated   Bit Rate=11 Mb/s   
          Tx-Power:-16 dBm   
          RTS thr:off   Fragment thr:off
          Encryption key:off
          Power Management:off
          
wlan1     IEEE 802.11b  ESSID:"test"  
          Mode:Master  Access Point: Not-Associated   Bit Rate=11 Mb/s   
          Tx-Power:-16 dBm   
          RTS thr:off   Fragment thr:off
          Encryption key:off
          Power Management:off
          Link Quality:0  Signal level:0  Noise level:0
          Rx invalid nwid:0  Rx invalid crypt:0  Rx invalid frag:0
          Tx excessive retries:0  Invalid misc:0   Missed beacon:0

wifi2     IEEE 802.11b  ESSID:"test"  
          Mode:Master  Access Point: Not-Associated   Bit Rate=11 Mb/s   
          Tx-Power:-16 dBm   
          RTS thr:off   Fragment thr:off
          Encryption key:off
          Power Management:off
          
wlan2     IEEE 802.11b  ESSID:"test"  
          Mode:Master  Access Point: Not-Associated   Bit Rate=11 Mb/s   
          Tx-Power:-16 dBm   
          RTS thr:off   Fragment thr:off
          Encryption key:off
          Power Management:off
          Link Quality:0  Signal level:0  Noise level:0
          Rx invalid nwid:0  Rx invalid crypt:0  Rx invalid frag:0
          Tx excessive retries:0  Invalid misc:0   Missed beacon:0

root@OpenWrt:/# cat /proc/interrupts 
           CPU0       
  4:         29      MIPS  eth0
  5:          0      MIPS  eth1
  6:          0      MIPS  cascade [AR71XX MISC]
  7:       1359      MIPS  timer
 10:          0  AR71XX MISC  cascade [AR71XX GPIO]
 11:        303  AR71XX MISC  serial
 72:         44  AR71XX PCI   wifi0
 73:         44  AR71XX PCI   wifi1
 74:         44  AR71XX PCI   wifi2
ERR:          0
root@OpenWrt:/#

comment:6 Changed 6 years ago by acoul

and this is a working 3.2.21 kernel ported from 3.0 generic/ar71xx data

RouterBOOT booter 2.19

RouterBoard 411

CPU frequency: 300 MHz
  Memory size:  32 MB

Press any key within 2 seconds to enter setup..
trying dhcp protocol... OK
resolved mac address 90:E6:BA:D6:3A:3C
Gateway: 192.168.1.66
transfer started ......................... transfer ok, time=1.66s
setting up elf image... OK
jumping to kernel code
Linux version 3.2.21 (alex@aifnis) (gcc version 4.7.1 (GCC) ) #1 Mon Jun 25 18:15:52 EEST 2012
bootconsole [early0] enabled
CPU revision is: 00019374 (MIPS 24Kc)
SoC: Atheros AR7130 rev 2
Clocks: CPU:300.000MHz, DDR:300.000MHz, AHB:150.000MHz, Ref:40.000MHz
Determined physical RAM map:
 memory: 02000000 @ 00000000 (usable)
User-defined physical RAM map:
 memory: 02000000 @ 00000000 (usable)
Initrd not found or empty - disabling initrd
Zone PFN ranges:
  Normal   0x00000000 -> 0x00002000
Movable zone start PFN for each node
early_node_map[1] active PFN ranges
    0: 0x00000000 -> 0x00002000
Built 1 zonelists in Zone order, mobility grouping on.  Total pages: 8128
Kernel command line:  console=ttyS0,115200 gpio=4031 HZ=150000000 mem=32M kmac=00:0C:42:35:50:8B board=411 boot=1 rootfstype=yaffs noinitrd
PID hash table entries: 128 (order: -3, 512 bytes)
Dentry cache hash table entries: 4096 (order: 2, 16384 bytes)
Inode-cache hash table entries: 2048 (order: 1, 8192 bytes)
Primary instruction cache 64kB, VIPT, 4-way, linesize 32 bytes.
Primary data cache 32kB, 4-way, VIPT, cache aliases, linesize 32 bytes
Writing ErrCtl register=0003a400
Readback ErrCtl register=0003a400
Memory: 28776k/32768k available (1882k kernel code, 3992k reserved, 355k data, 964k init, 0k highmem)
NR_IRQS:80
Calibrating delay loop... 199.06 BogoMIPS (lpj=995328)
pid_max: default: 32768 minimum: 301
Mount-cache hash table entries: 512
NET: Registered protocol family 16
MIPS: machine is MikroTik RouterBOARD 411/A/AH
registering PCI controller with io_map_base unset
bio: create slab <bio-0> at 0
pci 0000:00:12.0: BAR 0: assigned [mem 0x10000000-0x10000fff pref]
pci 0000:00:12.0: BAR 0: set to [mem 0x10000000-0x10000fff pref] (PCI address [0x10000000-0x10000fff])
PCI: mapping irq 72 to pin1@0000:00:12.0
Switching to clocksource MIPS
NET: Registered protocol family 2
IP route cache hash table entries: 1024 (order: 0, 4096 bytes)
TCP established hash table entries: 1024 (order: 1, 8192 bytes)
TCP bind hash table entries: 1024 (order: 0, 4096 bytes)
TCP: Hash tables configured (established 1024 bind 1024)
TCP reno registered
UDP hash table entries: 256 (order: 0, 4096 bytes)
UDP-Lite hash table entries: 256 (order: 0, 4096 bytes)
NET: Registered protocol family 1
msgmni has been set to 56
io scheduler noop registered
io scheduler deadline registered (default)
Serial: 8250/16550 driver, 1 ports, IRQ sharing disabled
serial8250.0: ttyS0 at MMIO 0x18020000 (irq = 11) is a 16550A
console [ttyS0] enabled, bootconsole disabled
console [ttyS0] enabled, bootconsole disabled
Atheros AR71xx SPI Controller driver version 0.2.4
m25p80 spi0.0: pm25lv512 (64 Kbytes)
NAND flash driver for RouterBoard 4xx series version 0.2.0
NAND device: Manufacturer ID: 0xad, Chip ID: 0x76 (Hynix NAND 64MiB 3,3V 8-bit)
Scanning device for bad blocks
Creating 3 MTD partitions on "NAND 64MiB 3,3V 8-bit":
0x000000000000-0x000000040000 : "booter"
0x000000040000-0x000000600000 : "kernel"
0x000000600000-0x000004000000 : "rootfs"
mtd: partition "rootfs" set to be root filesystem
split_squashfs: no squashfs found in "NAND 64MiB 3,3V 8-bit"
ag71xx_mdio: probed
eth0: Atheros AG71xx at 0xb9000000, irq 4
Atheros AR71xx hardware watchdog driver version 0.1.0
TCP westwood registered
NET: Registered protocol family 17
drivers/rtc/hctosys.c: unable to open rtc device (rtc0)
Freeing unused kernel memory: 964k freed
- preinit -
Press the [f] key and hit [enter] to enter failsafe mode
eth0: link up (100Mbps/Full duplex)
- regular preinit -
eth0: link down
- init -
Compat-wireless backport release: compat-wireless-2012-06-14
Backport based on wireless-testing.git master-2012-06-14
compat.git: wireless-testing.git
lib80211: common routines for IEEE802.11 drivers
PCI: Enabling device 0000:00:12.0 (0000 -> 0002)
hostap_pci: Registered netdevice wifi0
wifi0: NIC: id=0x8013 v1.0.0
wifi0: PRI: id=0x15 v1.1.0
wifi0: STA: id=0x1f v1.4.9
wifi0: Intersil Prism2.5 PCI: mem=0x10000000, irq=72

Please press Enter to activate this console. eth0: link up (100Mbps/Full duplex)



BusyBox v1.20.1 (2012-06-21 22:24:00 EEST) built-in shell (ash)
Enter 'help' for a list of built-in commands.

  _______                     ________        __
 |       |.-----.-----.-----.|  |  |  |.----.|  |_
 |   -   ||  _  |  -__|     ||  |  |  ||   _||   _|
 |_______||   __|_____|__|__||________||__|  |____|
          |__| W I R E L E S S   F R E E D O M
 -----------------------------------------------------
 ATTITUDE ADJUSTMENT (Bleeding Edge, r32499)
 -----------------------------------------------------
  * 1/4 oz Vodka      Pour all ingredients into mixing
  * 1/4 oz Gin        tin with ice, strain into glass.
  * 1/4 oz Amaretto
  * 1/4 oz Triple sec
  * 1/4 oz Peach schnapps
  * 1/4 oz Sour mix
  * 1 splash Cranberry juice
 -----------------------------------------------------
root@OpenWrt:/# lsmod 
Module                  Size  Used by    Tainted: G  
hostap_pci             38544  0 
hostap                 86112  1 hostap_pci
lib80211_crypt_tkip     6352  0 
lib80211_crypt_ccmp     3488  0 
lib80211_crypt_wep      1920  0 
lib80211                2544  5 hostap_pci,hostap,lib80211_crypt_tkip,lib80211_crypt_ccmp,lib80211_crypt_wep
compat                  2896  4 lib80211_crypt_tkip,lib80211_crypt_ccmp,lib80211_crypt_wep,lib80211
root@OpenWrt:/# iwconfig 
wifi0     IEEE 802.11b  ESSID:"test"  
          Mode:Master  Access Point: Not-Associated   Bit Rate=11 Mb/s   
          Tx-Power:-16 dBm   
          RTS thr:off   Fragment thr:off
          Encryption key:off
          Power Management:off
          
lo        no wireless extensions.

wlan0     IEEE 802.11b  ESSID:"test"  
          Mode:Master  Access Point: Not-Associated   Bit Rate=11 Mb/s   
          Tx-Power:-16 dBm   
          RTS thr:off   Fragment thr:off
          Encryption key:off
          Power Management:off
          Link Quality:0  Signal level:0  Noise level:0
          Rx invalid nwid:0  Rx invalid crypt:0  Rx invalid frag:0
          Tx excessive retries:0  Invalid misc:0   Missed beacon:0

eth0      no wireless extensions.

root@OpenWrt:/# cat /proc/interrupts 
           CPU0       
  4:         19      MIPS  eth0
  6:          0      MIPS  cascade [AR71XX MISC]
  7:       2567      MIPS  timer
 10:          0  AR71XX MISC  cascade [AR71XX GPIO]
 11:        200  AR71XX MISC  serial
 72:         44  AR71XX PCI   wifi0
ERR:          0
root@OpenWrt:/# 

comment:7 Changed 6 years ago by acoul

atheros wifi cards work fine on either firmware

BusyBox v1.20.1 (2012-06-21 22:24:00 EEST) built-in shell (ash)
Enter 'help' for a list of built-in commands.

  _______                     ________        __
 |       |.-----.-----.-----.|  |  |  |.----.|  |_
 |   -   ||  _  |  -__|     ||  |  |  ||   _||   _|
 |_______||   __|_____|__|__||________||__|  |____|
          |__| W I R E L E S S   F R E E D O M
 -----------------------------------------------------
 ATTITUDE ADJUSTMENT (Bleeding Edge, r32499)
 -----------------------------------------------------
  * 1/4 oz Vodka      Pour all ingredients into mixing
  * 1/4 oz Gin        tin with ice, strain into glass.
  * 1/4 oz Amaretto
  * 1/4 oz Triple sec
  * 1/4 oz Peach schnapps
  * 1/4 oz Sour mix
  * 1 splash Cranberry juice
 -----------------------------------------------------
root@OpenWrt:/# wlanconfig ath0 create wlandev wifi0 wlanmode ap
ath0
root@OpenWrt:/# iwconfig ath0 mode master essid test channel 100
root@OpenWrt:/# ifconfig ath0 up
root@OpenWrt:/# iwconfig 
wifi0     no wireless extensions.

lo        no wireless extensions.

eth0      no wireless extensions.

ath0      IEEE 802.11a  ESSID:"test"  
          Mode:Master  Frequency:5.5 GHz  Access Point: Not-Associated   
          Bit Rate:0 kb/s   Tx-Power:18 dBm   
          RTS thr:off   Fragment thr:off
          Encryption key:off
          Power Management:off
          Link Quality=0/70  Signal level=-96 dBm  Noise level=-96 dBm
          Rx invalid nwid:0  Rx invalid crypt:0  Rx invalid frag:0
          Tx excessive retries:0  Invalid misc:0   Missed beacon:0

root@OpenWrt:/# cat /proc/interrupts 
           CPU0       
  4:         26      MIPS  eth0
  6:          0      MIPS  cascade [AR71XX MISC]
  7:       1514      MIPS  timer
 10:          0  AR71XX MISC  cascade [AR71XX GPIO]
 11:        317  AR71XX MISC  serial
 72:          0  AR71XX PCI   wifi0
ERR:          0
root@OpenWrt:/# cat /proc/version 
Linux version 3.2.21 (alex@aifnis) (gcc version 4.7.1 (GCC) ) #2 Mon Jun 25 18:27:38 EEST 2012
root@OpenWrt:/# 
BusyBox v1.20.1 (2012-06-13 13:22:26 EEST) built-in shell (ash)
Enter 'help' for a list of built-in commands.

  _______                     ________        __
 |       |.-----.-----.-----.|  |  |  |.----.|  |_
 |   -   ||  _  |  -__|     ||  |  |  ||   _||   _|
 |_______||   __|_____|__|__||________||__|  |____|
          |__| W I R E L E S S   F R E E D O M
 -----------------------------------------------------
 ATTITUDE ADJUSTMENT (Bleeding Edge, r32272)
 -----------------------------------------------------
  * 1/4 oz Vodka      Pour all ingredients into mixing
  * 1/4 oz Gin        tin with ice, strain into glass.
  * 1/4 oz Amaretto
  * 1/4 oz Triple sec
  * 1/4 oz Peach schnapps
  * 1/4 oz Sour mix
  * 1 splash Cranberry juice
 -----------------------------------------------------
root@dait-rb411@ozonet:~# uname -a
Linux dait-rb411@ozonet 3.3.8 #5 Thu Jun 14 12:36:44 EEST 2012 mips GNU/Linux
root@dait-rb411@ozonet:~# cat /proc/interrupts 
           CPU0       
  4:  129886573      MIPS  eth0
  7:   95503768      MIPS  timer
 11:         18      MISC  serial
 40:  220354638  AR71XX PCI  wifi0
ERR:          0
root@dait-rb411@ozonet:~# uptime
 21:43:49 up 10 days, 21:43,  load average: 0.06, 0.02, 0.04

comment:8 Changed 6 years ago by acoul

and a 3.4.4 kernel

RouterBOOT booter 2.19

RouterBoard 411

CPU frequency: 300 MHz
  Memory size:  32 MB

Press any key within 2 seconds to enter setup..
trying dhcp protocol... OK
resolved mac address 90:E6:BA:D6:3A:3C
Gateway: 192.168.1.66
transfer started ........................... transfer ok, time=1.81s
setting up elf image... OK
jumping to kernel code
Linux version 3.4.4 (alex@aifnis) (gcc version 4.7.1 (GCC) ) #1 Mon Jun 25 18:49:18 EEST 2012
bootconsole [early0] enabled
CPU revision is: 00019374 (MIPS 24Kc)
SoC: Atheros AR7130 rev 2
Clocks: CPU:300.000MHz, DDR:300.000MHz, AHB:150.000MHz, Ref:40.000MHz
Determined physical RAM map:
 memory: 02000000 @ 00000000 (usable)
User-defined physical RAM map:
 memory: 02000000 @ 00000000 (usable)
Initrd not found or empty - disabling initrd
Zone PFN ranges:
  Normal   0x00000000 -> 0x00002000
Movable zone start PFN for each node
Early memory PFN ranges
    0: 0x00000000 -> 0x00002000
Built 1 zonelists in Zone order, mobility grouping on.  Total pages: 8128
Kernel command line:  console=ttyS0,115200 gpio=4031 HZ=150000000 mem=32M kmac=00:0C:42:35:50:8B board=411 boot=1 rootfstype=yaffs noinitrd
PID hash table entries: 128 (order: -3, 512 bytes)
Dentry cache hash table entries: 4096 (order: 2, 16384 bytes)
Inode-cache hash table entries: 2048 (order: 1, 8192 bytes)
Primary instruction cache 64kB, VIPT, 4-way, linesize 32 bytes.
Primary data cache 32kB, 4-way, VIPT, cache aliases, linesize 32 bytes
Writing ErrCtl register=00038400
Readback ErrCtl register=00038400
Memory: 28472k/32768k available (1922k kernel code, 4296k reserved, 388k data, 1196k init, 0k highmem)
NR_IRQS:48
Calibrating delay loop... 199.06 BogoMIPS (lpj=995328)
pid_max: default: 32768 minimum: 301
Mount-cache hash table entries: 512
NET: Registered protocol family 16
gpiochip_add: registered GPIOs 0 to 15 on device: ath79
MIPS: machine is MikroTik RouterBOARD 411/A/AH
registering PCI controller with io_map_base unset
bio: create slab <bio-0> at 0
rb4xx-spi rb4xx-spi: master is unqueued, this is deprecated
PCI host bridge to bus 0000:00
pci_bus 0000:00: root bus resource [mem 0x10000000-0x17ffffff]
pci_bus 0000:00: root bus resource [io  0x0000]
pci 0000:00:12.0: BAR 0: assigned [mem 0x10000000-0x10000fff pref]
pci 0000:00:12.0: using irq 40 for pin 1
Switching to clocksource MIPS
NET: Registered protocol family 2
IP route cache hash table entries: 1024 (order: 0, 4096 bytes)
TCP established hash table entries: 1024 (order: 1, 8192 bytes)
TCP bind hash table entries: 1024 (order: 0, 4096 bytes)
TCP: Hash tables configured (established 1024 bind 1024)
TCP: reno registered
UDP hash table entries: 256 (order: 0, 4096 bytes)
UDP-Lite hash table entries: 256 (order: 0, 4096 bytes)
NET: Registered protocol family 1
msgmni has been set to 55
io scheduler noop registered
io scheduler deadline registered (default)
Serial: 8250/16550 driver, 1 ports, IRQ sharing disabled
serial8250.0: ttyS0 at MMIO 0x18020000 (irq = 11) is a 16550A
console [ttyS0] enabled, bootconsole disabled
console [ttyS0] enabled, bootconsole disabled
gpiochip_add: registered GPIOs 32 to 40 on device: spi-rb4xx-cpld
m25p80 spi0.0: pm25lv512 (64 Kbytes)
Creating 4 MTD partitions on "spi0.0":
0x000000000000-0x00000000b000 : "routerboot"
0x00000000b000-0x00000000c000 : "hard_config"
0x00000000d000-0x00000000f000 : "bios"
0x00000000f000-0x000000010000 : "soft_config"
NAND flash driver for RouterBoard 4xx series version 0.2.0
NAND device: Manufacturer ID: 0xad, Chip ID: 0x76 (Hynix NAND 64MiB 3,3V 8-bit)
Scanning device for bad blocks
Creating 3 MTD partitions on "NAND 64MiB 3,3V 8-bit":
0x000000000000-0x000000040000 : "booter"
0x000000040000-0x000000600000 : "kernel"
0x000000600000-0x000004000000 : "rootfs"
mtd: partition "rootfs" set to be root filesystem
split_squashfs: no squashfs found in "NAND 64MiB 3,3V 8-bit"
ag71xx_mdio: probed
eth0: Atheros AG71xx at 0xb9000000, irq 4
ag71xx ag71xx.0: eth0: connected to PHY at ag71xx-mdio.0:00 [uid=00221512, driver=Generic PHY]
TCP: westwood registered
NET: Registered protocol family 17
drivers/rtc/hctosys.c: unable to open rtc device (rtc0)
Freeing unused kernel memory: 1196k freed
- preinit -
Press the [f] key and hit [enter] to enter failsafe mode
eth0: link up (100Mbps/Full duplex)
- regular preinit -
eth0: link down
- init -
Compat-wireless backport release: compat-wireless-2012-06-14
Backport based on wireless-testing.git master-2012-06-14
compat.git: wireless-testing.git
lib80211: common routines for IEEE802.11 drivers
wlan: trunk
ath_hal: module license 'Proprietary' taints kernel.
Disabling lock debugging due to kernel taint
ath_hal: 2009-05-08 (AR5210, AR5211, AR5212, AR5416, RF5111, RF5112, RF2413, RF5413, RF2133, RF2425, REGOPS_FUNC, XR)
ath_rate_minstrel: Minstrel automatic rate control algorithm 1.2 (trunk)
ath_rate_minstrel: look around rate set to 10%
ath_rate_minstrel: EWMA rolloff level set to 75%
ath_rate_minstrel: max segment size in the mrr set to 6000 us
wlan: mac acl policy registered
ath_pci: trunk
PCI: Enabling device 0000:00:12.0 (0000 -> 0002)
hostap_pci: Registered netdevice wifi0
Data bus error, epc == 816b02f4, ra == 816b02e4
Oops[#1]:
Cpu 0
$ 0   : 00000000 803d0000 0000dead 88974000
$ 4   : 000007d0 00030570 0000042b 803d3b2c
$ 8   : 0000000a 00000001 00000001 4f522076
$12   : 697a6174 00000000 00000000 696f6e20
$16   : 81c7e000 00000000 0000001f 007e0000
$20   : ffff8e9d 816b726c 81d1d400 816c0000
$24   : 00000000 800947ec                  
$28   : 81d1e000 81d1fc10 00000000 816b02e4
Hi    : 0000042b
Lo    : 1da40000
epc   : 816b02f4 0x816b02f4
    Tainted: P           O
ra    : 816b02e4 0x816b02e4
Status: 1800d403    KERNEL EXL IE 
Cause : 3080001c
PrId  : 00019374 (MIPS 24Kc)
Modules linked in: hostap_pci(+) hostap ath_pci(O) wlan_xauth(O) wlan_wep(O) wlan_tkip(O) wlan_ccmp(O) wlan_acl(O) ath_rate_minstrel(O) ath_hal(PO) wlan_scan_sta(O) wlan_scan_ap(O) wlan(O) lib80211_crypt_tkip(O)
Process insmod (pid: 361, threadinfo=81d1e000, task=81d2aa08, tls=77221440)
Stack : 0041a368 81c7e000 00000000 803d3b2c 81d1fc34 81c7e000 81c7e484 816b16d8
        81c7e484 81c7e000 0000001f 803d3b2c ffff8e9d 816b726c 81d1d400 816c0000
        00000000 8023bdd0 00000000 00e1a1ff 1800d403 81c7e484 81c7e000 ffffffff
        ffff8e6b 816b2550 00000000 816b726c 00000002 435b6e00 816b6120 00000028
        81c7e000 81c7e484 00000001 81c7e000 81c64c00 10000000 b0000000 816b4288
        ...
Call Trace:[<816b16d8>] 0x816b16d8
[<8023bdd0>] 0x8023bdd0
[<816b2550>] 0x816b2550
[<816b6120>] 0x816b6120
[<816b4288>] 0x816b4288
[<816b0000>] 0x816b0000
[<816b0000>] 0x816b0000
[<816b5584>] 0x816b5584
[<816b4ef8>] 0x816b4ef8
[<8016643c>] 0x8016643c
[<80183afc>] 0x80183afc
[<80183f4c>] 0x80183f4c
[<80184080>] 0x80184080
[<801840fc>] 0x801840fc
[<80184080>] 0x80184080
[<80182250>] 0x80182250
[<801823d4>] 0x801823d4
[<8014a558>] 0x8014a558
[<80183598>] 0x80183598
[<80091630>] 0x80091630
[<80184514>] 0x80184514
[<801666d0>] 0x801666d0
[<81649000>] 0x81649000
[<80060904>] 0x80060904
[<800cd58c>] 0x800cd58c
[<8008f778>] 0x8008f778
[<800a4b08>] 0x800a4b08
[<800d0f8c>] 0x800d0f8c
[<80069750>] 0x80069750


Code: 8c420508  8c420000  94420000 <7c021620> 04410008  8fbf001c  8fb10018  02002821  8fb00014 
---[ end trace 942052734f2bc318 ]---

Please press Enter to activate this console. ar71xx: pll_reg 0xb8050010: 0x1099
eth0: link up (100Mbps/Full duplex)



BusyBox v1.20.1 (2012-06-21 22:24:00 EEST) built-in shell (ash)
Enter 'help' for a list of built-in commands.

  _______                     ________        __
 |       |.-----.-----.-----.|  |  |  |.----.|  |_
 |   -   ||  _  |  -__|     ||  |  |  ||   _||   _|
 |_______||   __|_____|__|__||________||__|  |____|
          |__| W I R E L E S S   F R E E D O M
 -----------------------------------------------------
 ATTITUDE ADJUSTMENT (Bleeding Edge, r32499)
 -----------------------------------------------------
  * 1/4 oz Vodka      Pour all ingredients into mixing
  * 1/4 oz Gin        tin with ice, strain into glass.
  * 1/4 oz Amaretto
  * 1/4 oz Triple sec
  * 1/4 oz Peach schnapps
  * 1/4 oz Sour mix
  * 1 splash Cranberry juice
 -----------------------------------------------------
root@OpenWrt:/# cat /proc/interrupts 
           CPU0       
  4:         14      MIPS  eth0
  7:       1331      MIPS  timer
 11:         97      MISC  serial
 40:          0  AR71XX PCI  wifi0
ERR:          0
root@OpenWrt:/#

hope the above input helps

comment:9 Changed 6 years ago by acoul

orinoco/hermes driver has similar issues

ADM6996FC PHY found on MAC0
ADM6996FC PHY found on MAC1
Ethernet eth0: MAC address 00:15:6d:c1:b8:48
IP: 192.168.1.20/255.255.255.0, Gateway: 0.0.0.0
Default server: 192.168.1.42

RedBoot(tm) bootstrap and debug environment [ROMRAM]
Ubiquiti Networks certified release, version 0.9.9.07 - built 14:01:39, Apr 23 2009

Copyright (C) 2000, 2001, 2002, 2003, 2004 Red Hat, Inc.

Board: Ubiquiti RouterStation
RAM: 0x80000000-0x84000000, [0x8003ba50-0x83fe1000] available
FLASH: 0xbf000000 - 0xc0000000, 256 blocks of 0x00010000 bytes each.
== Executing boot script in 1.000 seconds - enter ^C to abort
RedBoot> fis load -d -e kernel
Trying LZMA decompression...
Image loaded from 0x80060000-0x8032ff2c
Image is not ELF, skipping ELF parsing...
RedBoot> exec
Now booting linux kernel:
 Base address 0x80050000 Entry 0x80060000
Linux version 3.3.8 (alex@aifnis) (gcc version 4.7.1 (GCC) ) #1 Tue Jun 26 12:45:47 EEST 2012
bootconsole [early0] enabled
CPU revision is: 00019374 (MIPS 24Kc)
SoC: Atheros AR7161 rev 2
Clocks: CPU:680.000MHz, DDR:340.000MHz, AHB:170.000MHz, Ref:40.000MHz
Determined physical RAM map:
 memory: 04000000 @ 00000000 (usable)
Zone PFN ranges:
  Normal   0x00000000 -> 0x00004000
Movable zone start PFN for each node
Early memory PFN ranges
    0: 0x00000000 -> 0x00004000
Built 1 zonelists in Zone order, mobility grouping on.  Total pages: 16256
Kernel command line:  board=UBNT-RS console=ttyS0,115200 ethaddr=00.15.6d.c1.b8.48 rootfstype=squashfs,jffs2 noinitrd
PID hash table entries: 256 (order: -2, 1024 bytes)
Dentry cache hash table entries: 8192 (order: 3, 32768 bytes)
Inode-cache hash table entries: 4096 (order: 2, 16384 bytes)
Primary instruction cache 64kB, VIPT, 4-way, linesize 32 bytes.
Primary data cache 32kB, 4-way, VIPT, cache aliases, linesize 32 bytes
Writing ErrCtl register=0007efb2
Readback ErrCtl register=0007efb2
Memory: 61584k/65536k available (2109k kernel code, 3952k reserved, 581k data, 188k init, 0k highmem)
SLUB: Genslabs=9, HWalign=32, Order=0-3, MinObjects=0, CPUs=1, Nodes=1
NR_IRQS:48
Calibrating delay loop... 452.19 BogoMIPS (lpj=2260992)
pid_max: default: 32768 minimum: 301
Mount-cache hash table entries: 512
NET: Registered protocol family 16
gpiochip_add: registered GPIOs 0 to 15 on device: ath79
MIPS: machine is Ubiquiti RouterStation
registering PCI controller with io_map_base unset
bio: create slab <bio-0> at 0
PCI host bridge to bus 0000:00
pci_bus 0000:00: root bus resource [mem 0x10000000-0x17ffffff]
pci_bus 0000:00: root bus resource [io  0x0000]
pci 0000:00:11.0: BAR 0: assigned [mem 0x10000000-0x10000fff pref]
pci 0000:00:12.0: BAR 0: assigned [mem 0x10001000-0x10001fff pref]
pci 0000:00:13.0: BAR 0: assigned [mem 0x10002000-0x10002fff pref]
pci 0000:00:11.0: using irq 40 for pin 1
pci 0000:00:12.0: using irq 41 for pin 1
pci 0000:00:13.0: using irq 42 for pin 1
Switching to clocksource MIPS
NET: Registered protocol family 2
IP route cache hash table entries: 1024 (order: 0, 4096 bytes)
TCP established hash table entries: 2048 (order: 2, 16384 bytes)
TCP bind hash table entries: 2048 (order: 1, 8192 bytes)
TCP: Hash tables configured (established 2048 bind 2048)
TCP reno registered
UDP hash table entries: 256 (order: 0, 4096 bytes)
UDP-Lite hash table entries: 256 (order: 0, 4096 bytes)
NET: Registered protocol family 1
squashfs: version 4.0 (2009/01/31) Phillip Lougher
JFFS2 version 2.2 (NAND) (SUMMARY) (LZMA) (RTIME) (CMODE_PRIORITY) (c) 2001-2006 Red Hat, Inc.
msgmni has been set to 120
io scheduler noop registered
io scheduler deadline registered (default)
Serial: 8250/16550 driver, 1 ports, IRQ sharing disabled
serial8250.0: ttyS0 at MMIO 0x18020000 (irq = 11) is a 16550A
console [ttyS0] enabled, bootconsole disabled
console [ttyS0] enabled, bootconsole disabled
m25p80 spi0.0: found mx25l12805d, expected m25p80
m25p80 spi0.0: mx25l12805d (16384 Kbytes)
Searching for RedBoot partition table in spi0.0 at offset 0xfe0000
Searching for RedBoot partition table in spi0.0 at offset 0xff0000
5 RedBoot partitions found on MTD device spi0.0
Creating 5 MTD partitions on "spi0.0":
0x000000000000-0x000000030000 : "RedBoot"
0x000000030000-0x000000130000 : "kernel"
0x000000130000-0x000000ff0000 : "rootfs"
mtd: partition "rootfs" set to be root filesystem
mtd: partition "rootfs_data" created automatically, ofs=240000, len=DB0000 
0x000000240000-0x000000ff0000 : "rootfs_data"
0x000000ff0000-0x000000fff000 : "FIS directory"
0x000000fff000-0x000001000000 : "RedBoot config"
ag71xx_mdio: probed
eth0: Atheros AG71xx at 0xb9000000, irq 4
ag71xx ag71xx.0: eth0: connected to PHY at ag71xx-mdio.0:14 [uid=03026071, driver=Generic PHY]
eth1: Atheros AG71xx at 0xba000000, irq 5
TCP westwood registered
NET: Registered protocol family 17
drivers/rtc/hctosys.c: unable to open rtc device (rtc0)
VFS: Mounted root (squashfs filesystem) readonly on device 31:2.
Freeing unused kernel memory: 188k freed
- preinit -
Press the [f] key and hit [enter] to enter failsafe mode
eth0: link up (100Mbps/Full duplex)
- regular preinit -
JFFS2 notice: (398) jffs2_build_xattr_subsystem: complete building xattr subsystem, 1 of xdatum (1 unchecked, 0 orphan) and 17 of xref (0 dead, 4 orphan) found.

switching to jffs2
- init -
eth0: link down

Please press Enter to activate this console. 

BusyBox v1.20.1 (2012-06-25 19:19:27 EEST) built-in shell (ash)
Enter 'help' for a list of built-in commands.

  _______                     ________        __
 |       |.-----.-----.-----.|  |  |  |.----.|  |_
 |   -   ||  _  |  -__|     ||  |  |  ||   _||   _|
 |_______||   __|_____|__|__||________||__|  |____|
          |__| W I R E L E S S   F R E E D O M
 -----------------------------------------------------
 ATTITUDE ADJUSTMENT (Bleeding Edge, r32499)
 -----------------------------------------------------
  * 1/4 oz Vodka      Pour all ingredients into mixing
  * 1/4 oz Gin        tin with ice, strain into glass.
  * 1/4 oz Amaretto
  * 1/4 oz Triple sec
  * 1/4 oz Peach schnapps
  * 1/4 oz Sour mix
  * 1 splash Cranberry juice
 -----------------------------------------------------
root@(none):/# Compat-wireless backport release: compat-wireless-2012-06-14
Backport based on wireless-testing.git master-2012-06-14
compat.git: wireless-testing.git
cfg80211: Calling CRDA to update world regulatory domain
cfg80211: World regulatory domain updated:
cfg80211:   (start_freq - end_freq @ bandwidth), (max_antenna_gain, max_eirp)
cfg80211:   (2402000 KHz - 2472000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
cfg80211:   (2457000 KHz - 2482000 KHz @ 20000 KHz), (300 mBi, 2000 mBm)
cfg80211:   (2474000 KHz - 2494000 KHz @ 20000 KHz), (300 mBi, 2000 mBm)
cfg80211:   (5170000 KHz - 5250000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
cfg80211:   (5735000 KHz - 5835000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
PCI: Enabling device 0000:00:11.0 (0000 -> 0002)
orinoco_pci 0000:00:11.0: Failed to initialize firmware (err = -19)
orinoco_pci: orinoco_init() failed
CPU 0 Unable to handle kernel paging request at virtual address 00000004, epc == 83fc078c, ra == 83fc0780
Oops[#1]:
Cpu 0
$ 0   : 00000000 0000006f 00000000 00000000
$ 4   : 83e95044 00000000 83f5e180 00003044
$ 8   : 00000001 00003043 83f5e300 63693a20
$12   : 6f72696e 00000001 001d0041 6f636f5f
$16   : 83e950e0 83e9500c 83fe0000 83fe0000
$20   : 00000000 83ffe3e8 00000028 800a1aac
$24   : 00000010 00000000                  
$28   : 83ed0000 83ed1c78 00000124 83fc0780
Hi    : 000000ad
Lo    : 00000000
epc   : 83fc078c wiphy_unregister+0xf0/0x1e8 [cfg80211]
    Tainted: G           O
ra    : 83fc0780 wiphy_unregister+0xe4/0x1e8 [cfg80211]
Status: 1000f403    KERNEL EXL IE 
Cause : 0080000c
BadVA : 00000004
PrId  : 00019374 (MIPS 24Kc)
Modules linked in: orinoco_pci(O+) orinoco(O) cfg80211(O) compat(O)
Process insmod (pid: 449, threadinfo=83ed0000, task=83f0d0c0, tls=77401440)
Stack : 83ffe3e8 83c62b80 83ed1ca8 83f5e355 83f5e180 00000001 802f3210 83f5e180
        00000001 800a6174 83e95a60 83c14c00 83e95a60 83e950e0 83c14c60 83f90358
        00000028 b0000000 83c14c60 800a625c ffffffed 83c14c00 83e95a60 b0000000
        83c14c60 83ffe3e8 00000028 83ffe2c0 00000000 802efda8 00000001 8019d2a4
        83ffe3e8 83e95a60 83c56d70 83ffe100 83c14c00 83c14c60 83ffe5a0 83ffe5d0
        ...
Call Trace:
[<83fc078c>] wiphy_unregister+0xf0/0x1e8 [cfg80211]
[<83f90358>] free_orinocodev+0x34/0x170 [orinoco]
[<83ffe2c0>] init_module+0x1162c0/0x116390 [orinoco_pci]


Code: 8e03ff24  8e02ff28  2611ff2c <ac620004> ac430000  3c020020  24420200  0c02a685  ae02ff28 
---[ end trace f0caf9a05b28ffbb ]---

root@(none):/# 
root@(none):/# 
root@(none):/# 
root@(none):/# 
root@(none):/# 
root@(none):/# 
root@(none):/# 
root@(none):/# 
root@(none):/# 
root@OpenWrt:/# 
root@OpenWrt:/# 
root@OpenWrt:/# ar71xx: pll_reg 0xb8050010: 0x1099
eth0: link up (100Mbps/Full duplex)

root@OpenWrt:/# 
root@OpenWrt:/# 
root@OpenWrt:/# 
root@OpenWrt:/# cat /proc/interrupts 
           CPU0       
  4:          1      MIPS  eth0
  5:          0      MIPS  eth1
  7:       3634      MIPS  timer
 11:        141      MISC  serial
ERR:          0
root@OpenWrt:/# lspci -v
00:11.0 Network controller: Intersil Corporation ISL3874 [Prism 2.5]/ISL3872 [Prism 3] (rev 01)
        Subsystem: Intersil Corporation ISL3874 [Prism 2.5]/ISL3872 [Prism 3]
        Flags: medium devsel, IRQ 40
        Memory at 10000000 (32-bit, prefetchable) [size=4K]
        Capabilities: [dc] Power Management version 2
        Kernel driver in use: orinoco_pci

00:12.0 Network controller: Intersil Corporation ISL3874 [Prism 2.5]/ISL3872 [Prism 3] (rev 01)
        Subsystem: Intersil Corporation ISL3874 [Prism 2.5]/ISL3872 [Prism 3]
        Flags: medium devsel, IRQ 41
        Memory at 10001000 (32-bit, prefetchable) [disabled] [size=4K]
        Capabilities: [dc] Power Management version 2

00:13.0 Network controller: Intersil Corporation ISL3874 [Prism 2.5]/ISL3872 [Prism 3] (rev 01)
        Subsystem: Intersil Corporation ISL3874 [Prism 2.5]/ISL3872 [Prism 3]
        Flags: medium devsel, IRQ 42
        Memory at 10002000 (32-bit, prefetchable) [disabled] [size=4K]
        Capabilities: [dc] Power Management version 2

root@OpenWrt:/#

comment:10 Changed 6 years ago by acoul

and a 3.5 kernel, same issues, 3.3/mainline/ported ar71xx patches no go, while older/ported patches work just fine

RouterBOOT booter 2.19

RouterBoard 411

CPU frequency: 300 MHz
  Memory size:  32 MB

Press any key within 2 seconds to enter setup..
trying dhcp protocol... OK
resolved mac address 90:E6:BA:D6:3A:3C
Gateway: 192.168.1.66
transfer started .............................. transfer ok, time=2.01s
setting up elf image... OK
jumping to kernel code
Linux version 3.5.0-rc4 (alex@aifnis) (gcc version 4.7.1 (GCC) ) #2 Wed Jun 27 23:59:01 EEST 2012
bootconsole [early0] enabled
CPU revision is: 00019374 (MIPS 24Kc)
SoC: Atheros AR7130 rev 2
Clocks: CPU:300.000MHz, DDR:300.000MHz, AHB:150.000MHz, Ref:40.000MHz
Determined physical RAM map:
 memory: 02000000 @ 00000000 (usable)
User-defined physical RAM map:
 memory: 02000000 @ 00000000 (usable)
Initrd not found or empty - disabling initrd
Zone ranges:
  Normal   [mem 0x00000000-0x01ffffff]
Movable zone start for each node
Early memory node ranges
  node   0: [mem 0x00000000-0x01ffffff]
Primary instruction cache 64kB, VIPT, 4-way, linesize 32 bytes.
Primary data cache 32kB, 4-way, VIPT, cache aliases, linesize 32 bytes
Built 1 zonelists in Zone order, mobility grouping on.  Total pages: 8128
Kernel command line:  console=ttyS0,115200 gpio=4031 HZ=150000000 mem=32M kmac=00:0C:42:35:50:8B board=411 boot=1 rootfstype=yaffs noinitrd
PID hash table entries: 128 (order: -3, 512 bytes)
Dentry cache hash table entries: 4096 (order: 2, 16384 bytes)
Inode-cache hash table entries: 2048 (order: 1, 8192 bytes)
__ex_table already sorted, skipping sort
Writing ErrCtl register=00000400
Readback ErrCtl register=00000400
Memory: 28084k/32768k available (1946k kernel code, 4684k reserved, 532k data, 1416k init, 0k highmem)
NR_IRQS:80
Calibrating delay loop... 199.06 BogoMIPS (lpj=995328)
pid_max: default: 32768 minimum: 301
Mount-cache hash table entries: 512
NET: Registered protocol family 16
MIPS: machine is MikroTik RouterBOARD 411/A/AH
registering PCI controller with io_map_base unset
bio: create slab <bio-0> at 0
rb4xx-spi rb4xx-spi: master is unqueued, this is deprecated
PCI host bridge to bus 0000:00
pci_bus 0000:00: root bus resource [mem 0x10000000-0x17ffffff]
pci_bus 0000:00: root bus resource [io  0x0000]
pci 0000:00:12.0: BAR 0: assigned [mem 0x10000000-0x10000fff pref]
PCI: mapping irq 72 to pin1@0000:00:12.0
Switching to clocksource MIPS
NET: Registered protocol family 2
IP route cache hash table entries: 1024 (order: 0, 4096 bytes)
TCP established hash table entries: 1024 (order: 1, 8192 bytes)
TCP bind hash table entries: 1024 (order: 0, 4096 bytes)
TCP: Hash tables configured (established 1024 bind 1024)
TCP: reno registered
UDP hash table entries: 256 (order: 0, 4096 bytes)
UDP-Lite hash table entries: 256 (order: 0, 4096 bytes)
NET: Registered protocol family 1
msgmni has been set to 54
io scheduler noop registered
io scheduler deadline registered (default)
Serial: 8250/16550 driver, 1 ports, IRQ sharing disabled
serial8250.0: ttyS0 at MMIO 0x18020000 (irq = 11) is a 16550A
console [ttyS0] enabled, bootconsole disabled
console [ttyS0] enabled, bootconsole disabled
Atheros AR71xx SPI Controller driver version 0.2.4
m25p80 spi0.0: pm25lv512 (64 Kbytes)
NAND flash driver for RouterBoard 4xx series version 0.2.0
NAND device: Manufacturer ID: 0xad, Chip ID: 0x76 (Hynix NAND 64MiB 3,3V 8-bit), page size: 512, OOB size: 16
Scanning device for bad blocks
Creating 3 MTD partitions on "NAND 64MiB 3,3V 8-bit":
0x000000000000-0x000000040000 : "booter"
0x000000040000-0x000000600000 : "kernel"
0x000000600000-0x000004000000 : "rootfs"
mtd: partition "rootfs" set to be root filesystem
split_squashfs: error occured while reading from "NAND 64MiB 3,3V 8-bit"
ag71xx_mdio: probed
eth0: Atheros AG71xx at 0xb9000000, irq 4
Atheros AR71xx hardware watchdog driver version 0.1.0
TCP: westwood registered
NET: Registered protocol family 17
drivers/rtc/hctosys.c: unable to open rtc device (rtc0)
Freeing unused kernel memory: 1416k freed
- preinit -
Press the [f] key and hit [enter] to enter failsafe mode
eth0: link up (100Mbps/Full duplex)
- regular preinit -
eth0: link down
- init -
Compat-wireless backport release: compat-wireless-2012-06-14
Backport based on wireless-testing.git master-2012-06-14
compat.git: wireless-testing.git
lib80211: common routines for IEEE802.11 drivers
wlan: trunk
ath_hal: module license 'Proprietary' taints kernel.
Disabling lock debugging due to kernel taint
ath_hal: 2009-05-08 (AR5210, AR5211, AR5212, AR5416, RF5111, RF5112, RF2413, RF5413, RF2133, RF2425, REGOPS_FUNC, XR)
ath_rate_minstrel: Minstrel automatic rate control algorithm 1.2 (trunk)
ath_rate_minstrel: look around rate set to 10%
ath_rate_minstrel: EWMA rolloff level set to 75%
ath_rate_minstrel: max segment size in the mrr set to 6000 us
wlan: mac acl policy registered
ath_pci: trunk
PCI: Enabling device 0000:00:12.0 (0000 -> 0002)
hostap_pci: Registered netdevice wifi0
wifi0: NIC: id=0x8013 v1.0.0
wifi0: PRI: id=0x15 v1.1.0
wifi0: STA: id=0x1f v1.4.9
wifi0: Intersil Prism2.5 PCI: mem=0x10000000, irq=72

Please press Enter to activate this console. eth0: link up (100Mbps/Full duplex)



BusyBox v1.20.1 (2012-06-25 19:19:27 EEST) built-in shell (ash)
Enter 'help' for a list of built-in commands.

  _______                     ________        __
 |       |.-----.-----.-----.|  |  |  |.----.|  |_
 |   -   ||  _  |  -__|     ||  |  |  ||   _||   _|
 |_______||   __|_____|__|__||________||__|  |____|
          |__| W I R E L E S S   F R E E D O M
 -----------------------------------------------------
 ATTITUDE ADJUSTMENT (Bleeding Edge, r32500)
 -----------------------------------------------------
  * 1/4 oz Vodka      Pour all ingredients into mixing
  * 1/4 oz Gin        tin with ice, strain into glass.
  * 1/4 oz Amaretto
  * 1/4 oz Triple sec
  * 1/4 oz Peach schnapps
  * 1/4 oz Sour mix
  * 1 splash Cranberry juice
 -----------------------------------------------------
root@OpenWrt:/# iwconfig 
wifi0     IEEE 802.11b  ESSID:"test"  
          Mode:Master  Access Point: Not-Associated   Bit Rate=11 Mb/s   
          Tx-Power:-16 dBm   
          RTS thr:off   Fragment thr:off
          Encryption key:off
          Power Management:off
          
lo        no wireless extensions.

wlan0     IEEE 802.11b  ESSID:"test"  
          Mode:Master  Access Point: Not-Associated   Bit Rate=11 Mb/s   
          Tx-Power:-16 dBm   
          RTS thr:off   Fragment thr:off
          Encryption key:off
          Power Management:off
          Link Quality:0  Signal level:0  Noise level:0
          Rx invalid nwid:0  Rx invalid crypt:0  Rx invalid frag:0
          Tx excessive retries:0  Invalid misc:0   Missed beacon:0

eth0      no wireless extensions.

root@OpenWrt:/# cat /proc/interrupts 
           CPU0       
  4:          3      MIPS  eth0
  6:          0      MIPS  cascade [AR71XX MISC]
  7:       2620      MIPS  timer
 10:          0  AR71XX MISC  cascade [AR71XX GPIO]
 11:        160  AR71XX MISC  serial
 72:         44  AR71XX PCI   wifi0
ERR:          0
root@OpenWrt:/#

comment:11 Changed 6 years ago by acoul

and a RouterStation on kernel 3.5 with old patches

ADM6996FC PHY found on MAC0
ADM6996FC PHY found on MAC1
Ethernet eth0: MAC address 00:15:6d:c1:b8:48
IP: 192.168.1.20/255.255.255.0, Gateway: 0.0.0.0
Default server: 192.168.1.42

RedBoot(tm) bootstrap and debug environment [ROMRAM]
Ubiquiti Networks certified release, version 0.9.9.07 - built 14:01:39, Apr 23 2009

Copyright (C) 2000, 2001, 2002, 2003, 2004 Red Hat, Inc.

Board: Ubiquiti RouterStation
RAM: 0x80000000-0x84000000, [0x8003ba50-0x83fe1000] available
FLASH: 0xbf000000 - 0xc0000000, 256 blocks of 0x00010000 bytes each.
== Executing boot script in 1.000 seconds - enter ^C to abort
RedBoot> fis load -d -e kernel
Trying LZMA decompression...
Image loaded from 0x80060000-0x8031ac9c
Image is not ELF, skipping ELF parsing...
RedBoot> exec
Now booting linux kernel:
 Base address 0x80050000 Entry 0x80060000
Linux version 3.5.0-rc4 (alex@aifnis) (gcc version 4.7.1 (GCC) ) #6 Thu Jun 28 00:59:29 EEST 2012
bootconsole [early0] enabled
CPU revision is: 00019374 (MIPS 24Kc)
SoC: Atheros AR7161 rev 2
Clocks: CPU:680.000MHz, DDR:340.000MHz, AHB:170.000MHz, Ref:40.000MHz
Determined physical RAM map:
 memory: 04000000 @ 00000000 (usable)
Zone ranges:
  Normal   [mem 0x00000000-0x03ffffff]
Movable zone start for each node
Early memory node ranges
  node   0: [mem 0x00000000-0x03ffffff]
Primary instruction cache 64kB, VIPT, 4-way, linesize 32 bytes.
Primary data cache 32kB, 4-way, VIPT, cache aliases, linesize 32 bytes
Built 1 zonelists in Zone order, mobility grouping on.  Total pages: 16256
Kernel command line:  board=UBNT-RS console=ttyS0,115200 ethaddr=00.15.6d.c1.b8.48 rootfstype=squashfs,jffs2 noinitrd
PID hash table entries: 256 (order: -2, 1024 bytes)
Dentry cache hash table entries: 8192 (order: 3, 32768 bytes)
Inode-cache hash table entries: 4096 (order: 2, 16384 bytes)
__ex_table already sorted, skipping sort
Writing ErrCtl register=0007eff2
Readback ErrCtl register=0007eff2
Memory: 61672k/65536k available (2076k kernel code, 3864k reserved, 554k data, 164k init, 0k highmem)
SLUB: Genslabs=9, HWalign=32, Order=0-3, MinObjects=0, CPUs=1, Nodes=1
NR_IRQS:80
Calibrating delay loop... 452.19 BogoMIPS (lpj=2260992)
pid_max: default: 32768 minimum: 301
Mount-cache hash table entries: 512
devtmpfs: initialized
NET: Registered protocol family 16
MIPS: machine is Ubiquiti RouterStation
registering PCI controller with io_map_base unset
bio: create slab <bio-0> at 0
PCI host bridge to bus 0000:00
pci_bus 0000:00: root bus resource [mem 0x10000000-0x17ffffff]
pci_bus 0000:00: root bus resource [io  0x0000]
pci 0000:00:11.0: BAR 0: assigned [mem 0x10000000-0x10000fff pref]
pci 0000:00:12.0: BAR 0: assigned [mem 0x10001000-0x10001fff pref]
pci 0000:00:13.0: BAR 0: assigned [mem 0x10002000-0x10002fff pref]
PCI: mapping irq 72 to pin1@0000:00:11.0
PCI: mapping irq 73 to pin1@0000:00:12.0
PCI: mapping irq 74 to pin1@0000:00:13.0
Switching to clocksource MIPS
NET: Registered protocol family 2
IP route cache hash table entries: 1024 (order: 0, 4096 bytes)
TCP established hash table entries: 2048 (order: 2, 16384 bytes)
TCP bind hash table entries: 2048 (order: 1, 8192 bytes)
TCP: Hash tables configured (established 2048 bind 2048)
TCP: reno registered
UDP hash table entries: 256 (order: 0, 4096 bytes)
UDP-Lite hash table entries: 256 (order: 0, 4096 bytes)
NET: Registered protocol family 1
squashfs: version 4.0 (2009/01/31) Phillip Lougher
jffs2: version 2.2 (NAND) (SUMMARY) (LZMA) (RTIME) (CMODE_PRIORITY) (c) 2001-2006 Red Hat, Inc.
msgmni has been set to 120
io scheduler noop registered
io scheduler deadline registered (default)
Serial: 8250/16550 driver, 1 ports, IRQ sharing disabled
serial8250.0: ttyS0 at MMIO 0x18020000 (irq = 11) is a 16550A
console [ttyS0] enabled, bootconsole disabled
console [ttyS0] enabled, bootconsole disabled
Atheros AR71xx SPI Controller driver version 0.2.4
ar71xx-spi ar71xx-spi: master is unqueued, this is deprecated
m25p80 spi0.0: found mx25l12805d, expected m25p80
m25p80 spi0.0: mx25l12805d (16384 Kbytes)
Searching for RedBoot partition table in spi0.0 at offset 0xfe0000
Searching for RedBoot partition table in spi0.0 at offset 0xff0000
5 RedBoot partitions found on MTD device spi0.0
Creating 5 MTD partitions on "spi0.0":
0x000000000000-0x000000030000 : "RedBoot"
0x000000030000-0x000000130000 : "kernel"
0x000000130000-0x000000ff0000 : "rootfs"
mtd: partition "rootfs" set to be root filesystem
mtd: partition "rootfs_data" created automatically, ofs=280000, len=D70000 
0x000000280000-0x000000ff0000 : "rootfs_data"
0x000000ff0000-0x000000fff000 : "FIS directory"
0x000000fff000-0x000001000000 : "RedBoot config"
ag71xx_mdio: probed
eth0: Atheros AG71xx at 0xb9000000, irq 4
eth1: Atheros AG71xx at 0xba000000, irq 5
Atheros AR71xx hardware watchdog driver version 0.1.0
TCP: westwood registered
NET: Registered protocol family 17
drivers/rtc/hctosys.c: unable to open rtc device (rtc0)
VFS: Mounted root (squashfs filesystem) readonly on device 31:2.
devtmpfs: mounted
Freeing unused kernel memory: 164k freed
- preinit -
Press the [f] key and hit [enter] to enter failsafe mode
eth0: link up (100Mbps/Full duplex)
- regular preinit -
jffs2: notice: (393) jffs2_build_xattr_subsystem: complete building xattr subsystem, 2 of xdatum (0 unchecked, 2 orphan) and 2 of xref (0 dead, 2 orphan) found.
switching to jffs2
- init -
eth0: link down

Please press Enter to activate this console. Compat-wireless backport release: compat-wireless-2012-06-14
Backport based on wireless-testing.git master-2012-06-14
compat.git: wireless-testing.git
lib80211: common routines for IEEE802.11 drivers
wlan: trunk
ath_hal: module license 'Proprietary' taints kernel.
Disabling lock debugging due to kernel taint
ath_hal: 2009-05-08 (AR5210, AR5211, AR5212, AR5416, RF5111, RF5112, RF2413, RF5413, RF2133, RF2425, REGOPS_FUNC, XR)
ath_rate_minstrel: Minstrel automatic rate control algorithm 1.2 (trunk)
ath_rate_minstrel: look around rate set to 10%
ath_rate_minstrel: EWMA rolloff level set to 75%
ath_rate_minstrel: max segment size in the mrr set to 6000 us
wlan: mac acl policy registered
ath_pci: trunk
PCI: Enabling device 0000:00:11.0 (0000 -> 0002)
hostap_pci: Registered netdevice wifi0
wifi0: NIC: id=0x8013 v1.0.0
wifi0: PRI: id=0x15 v1.1.0
wifi0: STA: id=0x1f v1.4.9
wifi0: Intersil Prism2.5 PCI: mem=0x10000000, irq=72
PCI: Enabling device 0000:00:12.0 (0000 -> 0002)
hostap_pci: Registered netdevice wifi1
wifi1: NIC: id=0x8013 v1.0.0
wifi1: PRI: id=0x15 v1.1.0
wifi1: STA: id=0x1f v1.4.9
wifi1: Intersil Prism2.5 PCI: mem=0x10001000, irq=73
PCI: Enabling device 0000:00:13.0 (0000 -> 0002)
hostap_pci: Registered netdevice wifi2
wifi2: NIC: id=0x8013 v1.0.0
wifi2: PRI: id=0x15 v1.1.0
wifi2: STA: id=0x1f v1.4.9
wifi2: Intersil Prism2.5 PCI: mem=0x10002000, irq=74
eth1: link up (100Mbps/Full duplex)
eth0: link up (100Mbps/Full duplex)



BusyBox v1.20.1 (2012-06-25 19:19:27 EEST) built-in shell (ash)
Enter 'help' for a list of built-in commands.

  _______                     ________        __
 |       |.-----.-----.-----.|  |  |  |.----.|  |_
 |   -   ||  _  |  -__|     ||  |  |  ||   _||   _|
 |_______||   __|_____|__|__||________||__|  |____|
          |__| W I R E L E S S   F R E E D O M
 -----------------------------------------------------
 ATTITUDE ADJUSTMENT (Bleeding Edge, r32500)
 -----------------------------------------------------
  * 1/4 oz Vodka      Pour all ingredients into mixing
  * 1/4 oz Gin        tin with ice, strain into glass.
  * 1/4 oz Amaretto
  * 1/4 oz Triple sec
  * 1/4 oz Peach schnapps
  * 1/4 oz Sour mix
  * 1 splash Cranberry juice
 -----------------------------------------------------
root@OpenWrt:/# cat /proc/interrupts 
           CPU0       
  4:         15      MIPS  eth0
  5:          0      MIPS  eth1
  6:          0      MIPS  cascade [AR71XX MISC]
  7:       1185      MIPS  timer
 10:          0  AR71XX MISC  cascade [AR71XX GPIO]
 11:         99  AR71XX MISC  serial
 72:         26  AR71XX PCI   wifi0
 73:         26  AR71XX PCI   wifi1
 74:         26  AR71XX PCI   wifi2
ERR:          0
root@OpenWrt:/# iwconfig 
wlan2     IEEE 802.11b  ESSID:"test"  
          Mode:Master  Access Point: Not-Associated   Bit Rate=11 Mb/s   
          Tx-Power:-16 dBm   
          RTS thr:off   Fragment thr:off
          Encryption key:off
          Power Management:off
          Link Quality:0  Signal level:0  Noise level:0
          Rx invalid nwid:0  Rx invalid crypt:0  Rx invalid frag:0
          Tx excessive retries:0  Invalid misc:0   Missed beacon:0

wifi0     IEEE 802.11b  ESSID:"test"  
          Mode:Master  Access Point: Not-Associated   Bit Rate=11 Mb/s   
          Tx-Power:-16 dBm   
          RTS thr:off   Fragment thr:off
          Encryption key:off
          Power Management:off
          
lo        no wireless extensions.

wlan1     IEEE 802.11b  ESSID:"test"  
          Mode:Master  Access Point: Not-Associated   Bit Rate=11 Mb/s   
          Tx-Power:-16 dBm   
          RTS thr:off   Fragment thr:off
          Encryption key:off
          Power Management:off
          Link Quality:0  Signal level:0  Noise level:0
          Rx invalid nwid:0  Rx invalid crypt:0  Rx invalid frag:0
          Tx excessive retries:0  Invalid misc:0   Missed beacon:0

eth1      no wireless extensions.

wlan0     IEEE 802.11b  ESSID:"test"  
          Mode:Master  Access Point: Not-Associated   Bit Rate=11 Mb/s   
          Tx-Power:-16 dBm   
          RTS thr:off   Fragment thr:off
          Encryption key:off
          Power Management:off
          Link Quality:0  Signal level:0  Noise level:0
          Rx invalid nwid:0  Rx invalid crypt:0  Rx invalid frag:0
          Tx excessive retries:0  Invalid misc:0   Missed beacon:0

eth0      no wireless extensions.

wifi2     IEEE 802.11b  ESSID:"test"  
          Mode:Master  Access Point: Not-Associated   Bit Rate=11 Mb/s   
          Tx-Power:-16 dBm   
          RTS thr:off   Fragment thr:off
          Encryption key:off
          Power Management:off
          
wifi1     IEEE 802.11b  ESSID:"test"  
          Mode:Master  Access Point: Not-Associated   Bit Rate=11 Mb/s   
          Tx-Power:-16 dBm   
          RTS thr:off   Fragment thr:off
          Encryption key:off
          Power Management:off
          
root@OpenWrt:/# lspci  -v
00:00.0 Non-VGA unclassified device: Device 0700:1107 (rev 01)
        Flags: bus master, fast Back2Back, 66MHz, medium devsel, latency 0
        Memory at <unassigned> (32-bit, prefetchable)
        I/O ports at <unassigned> [disabled]
        Capabilities: [dc] Power Management version 2

00:11.0 Network controller: Intersil Corporation ISL3874 [Prism 2.5]/ISL3872 [Prism 3] (rev 01)
        Subsystem: Intersil Corporation ISL3874 [Prism 2.5]/ISL3872 [Prism 3]
        Flags: medium devsel, IRQ 72
        Memory at 10000000 (32-bit, prefetchable) [size=4K]
        Capabilities: [dc] Power Management version 2
        Kernel driver in use: hostap_pci

00:12.0 Network controller: Intersil Corporation ISL3874 [Prism 2.5]/ISL3872 [Prism 3] (rev 01)
        Subsystem: Intersil Corporation ISL3874 [Prism 2.5]/ISL3872 [Prism 3]
        Flags: medium devsel, IRQ 73
        Memory at 10001000 (32-bit, prefetchable) [size=4K]
        Capabilities: [dc] Power Management version 2
        Kernel driver in use: hostap_pci

00:13.0 Network controller: Intersil Corporation ISL3874 [Prism 2.5]/ISL3872 [Prism 3] (rev 01)
        Subsystem: Intersil Corporation ISL3874 [Prism 2.5]/ISL3872 [Prism 3]
        Flags: medium devsel, IRQ 74
        Memory at 10002000 (32-bit, prefetchable) [size=4K]
        Capabilities: [dc] Power Management version 2
        Kernel driver in use: hostap_pci

root@OpenWrt:/#

comment:12 Changed 6 years ago by acoul

a relative post about this problem on openwrt forum

comment:13 Changed 6 years ago by acoul

another output from 3.5 mainline openwrt 3.3 ported patches

RedBoot(tm) bootstrap and debug environment [ROMRAM]
Ubiquiti Networks certified release, version 0.9.9.07 - built 14:01:39, Apr 23 2009

Copyright (C) 2000, 2001, 2002, 2003, 2004 Red Hat, Inc.

Board: Ubiquiti RouterStation
RAM: 0x80000000-0x84000000, [0x8003ba50-0x83fe1000] available
FLASH: 0xbf000000 - 0xc0000000, 256 blocks of 0x00010000 bytes each.
== Executing boot script in 1.000 seconds - enter ^C to abort
RedBoot> fis load -d -e kernel
Trying LZMA decompression...
Image loaded from 0x80060000-0x8032abf8
Image is not ELF, skipping ELF parsing...
RedBoot> exec
Now booting linux kernel:
 Base address 0x80050000 Entry 0x80060000
Linux version 3.5.0-rc4 (alex@aifnis) (gcc version 4.7.1 (GCC) ) #1 Thu Jun 28 19:15:17 EEST 2012
bootconsole [early0] enabled
CPU revision is: 00019374 (MIPS 24Kc)
SoC: Atheros AR7161 rev 2
Clocks: CPU:680.000MHz, DDR:340.000MHz, AHB:170.000MHz, Ref:40.000MHz
Determined physical RAM map:
 memory: 04000000 @ 00000000 (usable)
Zone ranges:
  Normal   [mem 0x00000000-0x03ffffff]
Movable zone start for each node
Early memory node ranges
  node   0: [mem 0x00000000-0x03ffffff]
Primary instruction cache 64kB, VIPT, 4-way, linesize 32 bytes.
Primary data cache 32kB, 4-way, VIPT, cache aliases, linesize 32 bytes
Built 1 zonelists in Zone order, mobility grouping on.  Total pages: 16256
Kernel command line:  board=UBNT-RS console=ttyS0,115200 ethaddr=00.15.6d.c1.b8.48 rootfstype=squashfs,jffs2 noinitrd
PID hash table entries: 256 (order: -2, 1024 bytes)
Dentry cache hash table entries: 8192 (order: 3, 32768 bytes)
Inode-cache hash table entries: 4096 (order: 2, 16384 bytes)
__ex_table already sorted, skipping sort
Writing ErrCtl register=0007efb2
Readback ErrCtl register=0007efb2
Memory: 61604k/65536k available (2112k kernel code, 3932k reserved, 579k data, 164k init, 0k highmem)
NR_IRQS:48
Calibrating delay loop... 452.19 BogoMIPS (lpj=2260992)
pid_max: default: 32768 minimum: 301
Mount-cache hash table entries: 512
devtmpfs: initialized
NET: Registered protocol family 16
MIPS: machine is Ubiquiti RouterStation
registering PCI controller with io_map_base unset
bio: create slab <bio-0> at 0
PCI host bridge to bus 0000:00
pci_bus 0000:00: root bus resource [mem 0x10000000-0x17ffffff]
pci_bus 0000:00: root bus resource [io  0x0000]
pci 0000:00:11.0: BAR 0: assigned [mem 0x10000000-0x10000fff pref]
pci 0000:00:12.0: BAR 0: assigned [mem 0x10001000-0x10001fff pref]
pci 0000:00:13.0: BAR 0: assigned [mem 0x10002000-0x10002fff pref]
pci 0000:00:11.0: using irq 40 for pin 1
pci 0000:00:12.0: using irq 41 for pin 1
pci 0000:00:13.0: using irq 42 for pin 1
Switching to clocksource MIPS
NET: Registered protocol family 2
IP route cache hash table entries: 1024 (order: 0, 4096 bytes)
TCP established hash table entries: 2048 (order: 2, 16384 bytes)
TCP bind hash table entries: 2048 (order: 1, 8192 bytes)
TCP: Hash tables configured (established 2048 bind 2048)
TCP: reno registered
UDP hash table entries: 256 (order: 0, 4096 bytes)
UDP-Lite hash table entries: 256 (order: 0, 4096 bytes)
NET: Registered protocol family 1
squashfs: version 4.0 (2009/01/31) Phillip Lougher
jffs2: version 2.2 (NAND) (SUMMARY) (LZMA) (RTIME) (CMODE_PRIORITY) (c) 2001-2006 Red Hat, Inc.
msgmni has been set to 120
io scheduler noop registered
io scheduler deadline registered (default)
Serial: 8250/16550 driver, 1 ports, IRQ sharing disabled
serial8250.0: ttyS0 at MMIO 0x18020000 (irq = 11) is a 16550A
console [ttyS0] enabled, bootconsole disabled
console [ttyS0] enabled, bootconsole disabled
ath79-spi ath79-spi: master is unqueued, this is deprecated
m25p80 spi0.0: found mx25l12805d, expected m25p80
m25p80 spi0.0: mx25l12805d (16384 Kbytes)
Searching for RedBoot partition table in spi0.0 at offset 0xfe0000
Searching for RedBoot partition table in spi0.0 at offset 0xff0000
5 RedBoot partitions found on MTD device spi0.0
Creating 5 MTD partitions on "spi0.0":
0x000000000000-0x000000030000 : "RedBoot"
0x000000030000-0x000000130000 : "kernel"
0x000000130000-0x000000ff0000 : "rootfs"
mtd: partition "rootfs" set to be root filesystem
mtd: partition "rootfs_data" created automatically, ofs=280000, len=D70000 
0x000000280000-0x000000ff0000 : "rootfs_data"
0x000000ff0000-0x000000fff000 : "FIS directory"
0x000000fff000-0x000001000000 : "RedBoot config"
ag71xx_mdio: probed
eth0: Atheros AG71xx at 0xb9000000, irq 4
ag71xx ag71xx.0: eth0: connected to PHY at ag71xx-mdio.0:14 [uid=03026071, driver=Generic PHY]
eth1: Atheros AG71xx at 0xba000000, irq 5
TCP: westwood registered
NET: Registered protocol family 17
drivers/rtc/hctosys.c: unable to open rtc device (rtc0)
VFS: Mounted root (squashfs filesystem) readonly on device 31:2.
devtmpfs: mounted
Freeing unused kernel memory: 164k freed
- preinit -
Press the [f] key and hit [enter] to enter failsafe mode
eth0: link up (100Mbps/Full duplex)
- regular preinit -
jffs2: notice: (348) jffs2_build_xattr_subsystem: complete building xattr subsystem, 2 of xdatum (0 unchecked, 2 orphan) and 2 of xref (0 dead, 2 orphan) found.
switching to jffs2
- init -
eth0: link down

Please press Enter to activate this console. Compat-wireless backport release: compat-wireless-2012-06-14
Backport based on wireless-testing.git master-2012-06-14
compat.git: wireless-testing.git
lib80211: common routines for IEEE802.11 drivers
eth1: link up (100Mbps/Full duplex)
eth0: link up (100Mbps/Full duplex)



BusyBox v1.20.1 (2012-06-25 19:19:27 EEST) built-in shell (ash)
Enter 'help' for a list of built-in commands.

  _______                     ________        __
 |       |.-----.-----.-----.|  |  |  |.----.|  |_
 |   -   ||  _  |  -__|     ||  |  |  ||   _||   _|
 |_______||   __|_____|__|__||________||__|  |____|
          |__| W I R E L E S S   F R E E D O M
 -----------------------------------------------------
 ATTITUDE ADJUSTMENT (Bleeding Edge, r32500)
 -----------------------------------------------------
  * 1/4 oz Vodka      Pour all ingredients into mixing
  * 1/4 oz Gin        tin with ice, strain into glass.
  * 1/4 oz Amaretto
  * 1/4 oz Triple sec
  * 1/4 oz Peach schnapps
  * 1/4 oz Sour mix
  * 1 splash Cranberry juice
 -----------------------------------------------------
root@OpenWrt:/# 
root@OpenWrt:/# sync
root@OpenWrt:/# insmod hostap-pci
root@OpenWrt:/# insmod hostap_pci
PCI: Enabling device 0000:00:11.0 (0000 -> 0002)
hostap_pci: Registered netdevice wifi0
Data bus error, epc == 83470290, ra == 83475544
Oops[#1]:
Cpu 0
$ 0   : 00000000 00000000 b0000000 83480000
$ 4   : 83476ad4 83ea2000 83ea2990 00000000
$ 8   : 00000008 8016c728 00000010 52656769
$12   : 73746572 83feee80 00000100 6564206e
$16   : 83ea2000 000000de 83470000 83c62800
$20   : 10000000 b0000000 83ff3e00 83480000
$24   : 00000010 8019c3dc                  
$28   : 83f32000 83f33cb0 00000000 83475544
Hi    : 00000000
Lo    : 19d60000
epc   : 83470290 0x83470290
    Tainted: G           O
ra    : 83475544 0x83475544
Status: 1000f403    KERNEL EXL IE 
Cause : 1080001c
PrId  : 00019374 (MIPS 24Kc)
Modules linked in: hostap_pci(+) hostap lib80211(O) compat(O)
Process insmod (pid: 611, threadinfo=83f32000, task=83f22938, tls=7734c440)
Stack : 83470000 00000000 834787c0 83f33cd4 83f33cd4 83ea2484 83ea2000 83475544
        83f97808 8347729c 83ea2000 00000000 00000000 8011c62c 83c62860 83c62860
        83474f14 83c62800 83c62860 83479080 80340000 00000017 00000028 800a3188
        00000124 80188004 00000017 801a5a7c 80330000 8011be64 802ac948 83c62860
        83c62894 834790b0 834790b0 801a5ecc 83f97888 8016de04 00000001 83d2ca80
        ...
Call Trace:
[<83470290>] 0x83470290


Code: 8c420508  8c420000  9051004c <323100ff> 0c09adb2  02203021  8e0203ac  2403ff80  02231825 
---[ end trace dfd33977a4ac440d ]---
Segmentation fault
root@OpenWrt:/#

comment:14 Changed 6 years ago by acoul

here is a diff of the old and new pci-ar71xx.c file

--- target/linux/ar71xx/files-3.0/arch/mips/pci/pci-ar71xx.c	2012-06-15 14:40:38.000000000 +0300
+++ build_dir/linux-ar71xx_generic/linux-3.5-rc4/arch/mips/pci/pci-ar71xx.c	2012-06-24 22:53:04.000000000 +0300
@@ -1,7 +1,7 @@
 /*
  *  Atheros AR71xx PCI host controller driver
  *
- *  Copyright (C) 2008-2010 Gabor Juhos <juhosg@openwrt.org>
+ *  Copyright (C) 2008-2011 Gabor Juhos <juhosg@openwrt.org>
  *  Copyright (C) 2008 Imre Kaloz <kaloz@openwrt.org>
  *
  *  Parts of this file are based on Atheros' 2.6.15 BSP
@@ -19,172 +19,185 @@
 #include <linux/pci_regs.h>
 #include <linux/interrupt.h>
 
-#include <asm/mach-ar71xx/ar71xx.h>
-#include <asm/mach-ar71xx/pci.h>
+#include <asm/mach-ath79/ar71xx_regs.h>
+#include <asm/mach-ath79/ath79.h>
+#include <asm/mach-ath79/pci.h>
+
+#define AR71XX_PCI_MEM_BASE	0x10000000
+#define AR71XX_PCI_MEM_SIZE	0x08000000
+
+#define AR71XX_PCI_WIN0_OFFS		0x10000000
+#define AR71XX_PCI_WIN1_OFFS		0x11000000
+#define AR71XX_PCI_WIN2_OFFS		0x12000000
+#define AR71XX_PCI_WIN3_OFFS		0x13000000
+#define AR71XX_PCI_WIN4_OFFS		0x14000000
+#define AR71XX_PCI_WIN5_OFFS		0x15000000
+#define AR71XX_PCI_WIN6_OFFS		0x16000000
+#define AR71XX_PCI_WIN7_OFFS		0x07000000
+
+#define AR71XX_PCI_CFG_BASE		\
+	(AR71XX_PCI_MEM_BASE + AR71XX_PCI_WIN7_OFFS + 0x10000)
+#define AR71XX_PCI_CFG_SIZE		0x100
+
+#define AR71XX_PCI_REG_CRP_AD_CBE	0x00
+#define AR71XX_PCI_REG_CRP_WRDATA	0x04
+#define AR71XX_PCI_REG_CRP_RDDATA	0x08
+#define AR71XX_PCI_REG_CFG_AD		0x0c
+#define AR71XX_PCI_REG_CFG_CBE		0x10
+#define AR71XX_PCI_REG_CFG_WRDATA	0x14
+#define AR71XX_PCI_REG_CFG_RDDATA	0x18
+#define AR71XX_PCI_REG_PCI_ERR		0x1c
+#define AR71XX_PCI_REG_PCI_ERR_ADDR	0x20
+#define AR71XX_PCI_REG_AHB_ERR		0x24
+#define AR71XX_PCI_REG_AHB_ERR_ADDR	0x28
+
+#define AR71XX_PCI_CRP_CMD_WRITE	0x00010000
+#define AR71XX_PCI_CRP_CMD_READ		0x00000000
+#define AR71XX_PCI_CFG_CMD_READ		0x0000000a
+#define AR71XX_PCI_CFG_CMD_WRITE	0x0000000b
+
+#define AR71XX_PCI_INT_CORE		BIT(4)
+#define AR71XX_PCI_INT_DEV2		BIT(2)
+#define AR71XX_PCI_INT_DEV1		BIT(1)
+#define AR71XX_PCI_INT_DEV0		BIT(0)
 
-#undef DEBUG
-#ifdef DEBUG
-#define DBG(fmt, args...)	printk(KERN_DEBUG fmt, ## args)
-#else
-#define DBG(fmt, args...)
-#endif
-
-#define AR71XX_PCI_DELAY	100 /* msecs */
-
-#if 0
-#define PCI_IDSEL_BASE	PCI_IDSEL_ADL_START
-#else
-#define PCI_IDSEL_BASE	0
-#endif
+#define AR71XX_PCI_IRQ_COUNT		5
 
-static void __iomem *ar71xx_pcicfg_base;
 static DEFINE_SPINLOCK(ar71xx_pci_lock);
-static int ar71xx_pci_fixup_enable;
-
-static inline void ar71xx_pci_delay(void)
-{
-	mdelay(AR71XX_PCI_DELAY);
-}
+static void __iomem *ar71xx_pcicfg_base;
 
 /* Byte lane enable bits */
-static u8 ble_table[4][4] = {
+static const u8 ar71xx_pci_ble_table[4][4] = {
 	{0x0, 0xf, 0xf, 0xf},
 	{0xe, 0xd, 0xb, 0x7},
 	{0xc, 0xf, 0x3, 0xf},
 	{0xf, 0xf, 0xf, 0xf},
 };
 
+static const u32 ar71xx_pci_read_mask[8] = {
+	0, 0xff, 0xffff, 0, 0xffffffff, 0, 0, 0
+};
+
 static inline u32 ar71xx_pci_get_ble(int where, int size, int local)
 {
 	u32 t;
 
-	t = ble_table[size & 3][where & 3];
+	t = ar71xx_pci_ble_table[size & 3][where & 3];
 	BUG_ON(t == 0xf);
 	t <<= (local) ? 20 : 4;
+
 	return t;
 }
 
 static inline u32 ar71xx_pci_bus_addr(struct pci_bus *bus, unsigned int devfn,
-					int where)
+				      int where)
 {
 	u32 ret;
 
 	if (!bus->number) {
 		/* type 0 */
-		ret = (1 << (PCI_IDSEL_BASE + PCI_SLOT(devfn)))
-		    | (PCI_FUNC(devfn) << 8) | (where & ~3);
+		ret = (1 << PCI_SLOT(devfn)) | (PCI_FUNC(devfn) << 8) |
+		      (where & ~3);
 	} else {
 		/* type 1 */
-		ret = (bus->number << 16) | (PCI_SLOT(devfn) << 11)
-		    | (PCI_FUNC(devfn) << 8) | (where & ~3) | 1;
+		ret = (bus->number << 16) | (PCI_SLOT(devfn) << 11) |
+		      (PCI_FUNC(devfn) << 8) | (where & ~3) | 1;
 	}
 
 	return ret;
 }
 
-int ar71xx_pci_be_handler(int is_fixup)
+static int ar71xx_pci_check_error(int quiet)
 {
 	void __iomem *base = ar71xx_pcicfg_base;
 	u32 pci_err;
 	u32 ahb_err;
 
-	pci_err = __raw_readl(base + PCI_REG_PCI_ERR) & 3;
+	pci_err = __raw_readl(base + AR71XX_PCI_REG_PCI_ERR) & 3;
 	if (pci_err) {
-		if (!is_fixup)
-			printk(KERN_ALERT "PCI error %d at PCI addr 0x%x\n",
-				pci_err,
-				__raw_readl(base + PCI_REG_PCI_ERR_ADDR));
+		if (!quiet) {
+			u32 addr;
+
+			addr = __raw_readl(base + AR71XX_PCI_REG_PCI_ERR_ADDR);
+			pr_crit("ar71xx: %s bus error %d at addr 0x%x\n",
+				"PCI", pci_err, addr);
+		}
 
-		__raw_writel(pci_err, base + PCI_REG_PCI_ERR);
+		/* clear PCI error status */
+		__raw_writel(pci_err, base + AR71XX_PCI_REG_PCI_ERR);
 	}
 
-	ahb_err = __raw_readl(base + PCI_REG_AHB_ERR) & 1;
+	ahb_err = __raw_readl(base + AR71XX_PCI_REG_AHB_ERR) & 1;
 	if (ahb_err) {
-		if (!is_fixup)
-			printk(KERN_ALERT "AHB error at AHB address 0x%x\n",
-				__raw_readl(base + PCI_REG_AHB_ERR_ADDR));
+		if (!quiet) {
+			u32 addr;
 
-		__raw_writel(ahb_err, base + PCI_REG_AHB_ERR);
+			addr = __raw_readl(base + AR71XX_PCI_REG_AHB_ERR_ADDR);
+			pr_crit("ar71xx: %s bus error %d at addr 0x%x\n",
+				"AHB", ahb_err, addr);
+		}
+
+		/* clear AHB error status */
+		__raw_writel(ahb_err, base + AR71XX_PCI_REG_AHB_ERR);
 	}
 
-	return (ahb_err | pci_err) ? 1 : 0;
+	return !!(ahb_err | pci_err);
+}
+
+static inline void ar71xx_pci_local_write(int where, int size, u32 value)
+{
+	void __iomem *base = ar71xx_pcicfg_base;
+	u32 ad_cbe;
+
+	value = value << (8 * (where & 3));
+
+	ad_cbe = AR71XX_PCI_CRP_CMD_WRITE | (where & ~3);
+	ad_cbe |= ar71xx_pci_get_ble(where, size, 1);
+
+	__raw_writel(ad_cbe, base + AR71XX_PCI_REG_CRP_AD_CBE);
+	__raw_writel(value, base + AR71XX_PCI_REG_CRP_WRDATA);
 }
 
 static inline int ar71xx_pci_set_cfgaddr(struct pci_bus *bus,
-			unsigned int devfn, int where, int size, u32 cmd)
+					 unsigned int devfn,
+					 int where, int size, u32 cmd)
 {
 	void __iomem *base = ar71xx_pcicfg_base;
 	u32 addr;
 
 	addr = ar71xx_pci_bus_addr(bus, devfn, where);
 
-	DBG("PCI: set cfgaddr: %02x:%02x.%01x/%02x:%01d, addr=%08x\n",
-		bus->number, PCI_SLOT(devfn), PCI_FUNC(devfn),
-		where, size, addr);
-
-	__raw_writel(addr, base + PCI_REG_CFG_AD);
+	__raw_writel(addr, base + AR71XX_PCI_REG_CFG_AD);
 	__raw_writel(cmd | ar71xx_pci_get_ble(where, size, 0),
-		     base + PCI_REG_CFG_CBE);
+		     base + AR71XX_PCI_REG_CFG_CBE);
 
-	return ar71xx_pci_be_handler(1);
+	return ar71xx_pci_check_error(1);
 }
 
 static int ar71xx_pci_read_config(struct pci_bus *bus, unsigned int devfn,
 				  int where, int size, u32 *value)
 {
 	void __iomem *base = ar71xx_pcicfg_base;
-	static u32 mask[8] = {0, 0xff, 0xffff, 0, 0xffffffff, 0, 0, 0};
 	unsigned long flags;
 	u32 data;
-	int retry = 0;
+	int err;
 	int ret;
 
 	ret = PCIBIOS_SUCCESSFUL;
+	data = ~0;
 
-	DBG("PCI: read config: %02x:%02x.%01x/%02x:%01d\n", bus->number,
-			PCI_SLOT(devfn), PCI_FUNC(devfn), where, size);
-
-retry:
 	spin_lock_irqsave(&ar71xx_pci_lock, flags);
 
-	if (bus->number == 0 && devfn == 0) {
-		u32 t;
-
-		t = PCI_CRP_CMD_READ | (where & ~3);
-
-		__raw_writel(t, base + PCI_REG_CRP_AD_CBE);
-		data = __raw_readl(base + PCI_REG_CRP_RDDATA);
-
-		DBG("PCI: rd local cfg, ad_cbe:%08x, data:%08x\n", t, data);
-
-	} else {
-		int err;
-
-		err = ar71xx_pci_set_cfgaddr(bus, devfn, where, size,
-						PCI_CFG_CMD_READ);
-
-		if (err == 0) {
-			data = __raw_readl(base + PCI_REG_CFG_RDDATA);
-		} else {
-			ret = PCIBIOS_DEVICE_NOT_FOUND;
-			data = ~0;
-		}
-	}
+	err = ar71xx_pci_set_cfgaddr(bus, devfn, where, size,
+				     AR71XX_PCI_CFG_CMD_READ);
+	if (err)
+		ret = PCIBIOS_DEVICE_NOT_FOUND;
+	else
+		data = __raw_readl(base + AR71XX_PCI_REG_CFG_RDDATA);
 
 	spin_unlock_irqrestore(&ar71xx_pci_lock, flags);
 
-	DBG("PCI: read config: data=%08x raw=%08x\n",
-		(data >> (8 * (where & 3))) & mask[size & 7], data);
-
-	*value = (data >> (8 * (where & 3))) & mask[size & 7];
-
-	/*
-	 * PCI controller bug: sometimes reads to the PCI_COMMAND register
-	 * return 0xffff, even though the PCI trace shows the correct value.
-	 * Work around this by retrying reads to this register
-	 */
-	if (where == PCI_COMMAND && (*value & 0xffff) == 0xffff && retry++ < 2)
-		goto retry;
+	*value = (data >> (8 * (where & 3))) & ar71xx_pci_read_mask[size & 7];
 
 	return ret;
 }
@@ -194,92 +207,26 @@ static int ar71xx_pci_write_config(struc
 {
 	void __iomem *base = ar71xx_pcicfg_base;
 	unsigned long flags;
+	int err;
 	int ret;
 
-	DBG("PCI: write config: %02x:%02x.%01x/%02x:%01d value=%08x\n",
-		bus->number, PCI_SLOT(devfn), PCI_FUNC(devfn),
-		where, size, value);
-
 	value = value << (8 * (where & 3));
 	ret = PCIBIOS_SUCCESSFUL;
 
 	spin_lock_irqsave(&ar71xx_pci_lock, flags);
-	if (bus->number == 0 && devfn == 0) {
-		u32 t;
 
-		t = PCI_CRP_CMD_WRITE | (where & ~3);
-		t |= ar71xx_pci_get_ble(where, size, 1);
-
-		DBG("PCI: wr local cfg, ad_cbe:%08x, value:%08x\n", t, value);
-
-		__raw_writel(t, base + PCI_REG_CRP_AD_CBE);
-		__raw_writel(value, base + PCI_REG_CRP_WRDATA);
-	} else {
-		int err;
-
-		err = ar71xx_pci_set_cfgaddr(bus, devfn, where, size,
-						PCI_CFG_CMD_WRITE);
+	err = ar71xx_pci_set_cfgaddr(bus, devfn, where, size,
+				     AR71XX_PCI_CFG_CMD_WRITE);
+	if (err)
+		ret = PCIBIOS_DEVICE_NOT_FOUND;
+	else
+		__raw_writel(value, base + AR71XX_PCI_REG_CFG_WRDATA);
 
-		if (err == 0)
-			__raw_writel(value, base + PCI_REG_CFG_WRDATA);
-		else
-			ret = PCIBIOS_DEVICE_NOT_FOUND;
-	}
 	spin_unlock_irqrestore(&ar71xx_pci_lock, flags);
 
 	return ret;
 }
 
-static void ar71xx_pci_fixup(struct pci_dev *dev)
-{
-	u32 t;
-
-	if (!ar71xx_pci_fixup_enable)
-		return;
-
-	if (dev->bus->number != 0 || dev->devfn != 0)
-		return;
-
-	DBG("PCI: fixup host controller %s (%04x:%04x)\n", pci_name(dev),
-		dev->vendor, dev->device);
-
-	/* setup COMMAND register */
-	t = PCI_COMMAND_MEMORY | PCI_COMMAND_MASTER | PCI_COMMAND_INVALIDATE
-	  | PCI_COMMAND_PARITY | PCI_COMMAND_SERR | PCI_COMMAND_FAST_BACK;
-
-	pci_write_config_word(dev, PCI_COMMAND, t);
-}
-DECLARE_PCI_FIXUP_EARLY(PCI_ANY_ID, PCI_ANY_ID, ar71xx_pci_fixup);
-
-int __init ar71xx_pcibios_map_irq(const struct pci_dev *dev, uint8_t slot,
-				  uint8_t pin)
-{
-	int irq = -1;
-	int i;
-
-	slot -= PCI_IDSEL_ADL_START - PCI_IDSEL_BASE;
-
-	for (i = 0; i < ar71xx_pci_nr_irqs; i++) {
-		struct ar71xx_pci_irq *entry;
-
-		entry = &ar71xx_pci_irq_map[i];
-		if (entry->slot == slot && entry->pin == pin) {
-			irq = entry->irq;
-			break;
-		}
-	}
-
-	if (irq < 0) {
-		printk(KERN_ALERT "PCI: no irq found for pin%u@%s\n",
-				pin, pci_name((struct pci_dev *)dev));
-	} else {
-		printk(KERN_INFO "PCI: mapping irq %d to pin%u@%s\n",
-				irq, pin, pci_name((struct pci_dev *)dev));
-	}
-
-	return irq;
-}
-
 static struct pci_ops ar71xx_pci_ops = {
 	.read	= ar71xx_pci_read_config,
 	.write	= ar71xx_pci_write_config,
@@ -307,112 +254,121 @@ static struct pci_controller ar71xx_pci_
 
 static void ar71xx_pci_irq_handler(unsigned int irq, struct irq_desc *desc)
 {
-	void __iomem *base = ar71xx_reset_base;
+	void __iomem *base = ath79_reset_base;
 	u32 pending;
 
 	pending = __raw_readl(base + AR71XX_RESET_REG_PCI_INT_STATUS) &
 		  __raw_readl(base + AR71XX_RESET_REG_PCI_INT_ENABLE);
 
-	if (pending & PCI_INT_DEV0)
-		generic_handle_irq(AR71XX_PCI_IRQ_DEV0);
+	if (pending & AR71XX_PCI_INT_DEV0)
+		generic_handle_irq(ATH79_PCI_IRQ(0));
 
-	else if (pending & PCI_INT_DEV1)
-		generic_handle_irq(AR71XX_PCI_IRQ_DEV1);
+	else if (pending & AR71XX_PCI_INT_DEV1)
+		generic_handle_irq(ATH79_PCI_IRQ(1));
 
-	else if (pending & PCI_INT_DEV2)
-		generic_handle_irq(AR71XX_PCI_IRQ_DEV2);
+	else if (pending & AR71XX_PCI_INT_DEV2)
+		generic_handle_irq(ATH79_PCI_IRQ(2));
 
-	else if (pending & PCI_INT_CORE)
-		generic_handle_irq(AR71XX_PCI_IRQ_CORE);
+	else if (pending & AR71XX_PCI_INT_CORE)
+		generic_handle_irq(ATH79_PCI_IRQ(4));
 
 	else
 		spurious_interrupt();
 }
 
-static void ar71xx_pci_irq_unmask(unsigned int irq)
+static void ar71xx_pci_irq_unmask(struct irq_data *d)
 {
-	void __iomem *base = ar71xx_reset_base;
+	unsigned int irq = d->irq - ATH79_PCI_IRQ_BASE;
+	void __iomem *base = ath79_reset_base;
 	u32 t;
 
-	irq -= AR71XX_PCI_IRQ_BASE;
-
 	t = __raw_readl(base + AR71XX_RESET_REG_PCI_INT_ENABLE);
 	__raw_writel(t | (1 << irq), base + AR71XX_RESET_REG_PCI_INT_ENABLE);
 
 	/* flush write */
-	(void) __raw_readl(base + AR71XX_RESET_REG_PCI_INT_ENABLE);
+	__raw_readl(base + AR71XX_RESET_REG_PCI_INT_ENABLE);
 }
 
-static void ar71xx_pci_irq_mask(unsigned int irq)
+static void ar71xx_pci_irq_mask(struct irq_data *d)
 {
-	void __iomem *base = ar71xx_reset_base;
+	unsigned int irq = d->irq - ATH79_PCI_IRQ_BASE;
+	void __iomem *base = ath79_reset_base;
 	u32 t;
 
-	irq -= AR71XX_PCI_IRQ_BASE;
-
 	t = __raw_readl(base + AR71XX_RESET_REG_PCI_INT_ENABLE);
 	__raw_writel(t & ~(1 << irq), base + AR71XX_RESET_REG_PCI_INT_ENABLE);
 
 	/* flush write */
-	(void) __raw_readl(base + AR71XX_RESET_REG_PCI_INT_ENABLE);
+	__raw_readl(base + AR71XX_RESET_REG_PCI_INT_ENABLE);
 }
 
 static struct irq_chip ar71xx_pci_irq_chip = {
-	.name		= "AR71XX PCI ",
-	.mask		= ar71xx_pci_irq_mask,
-	.unmask		= ar71xx_pci_irq_unmask,
-	.mask_ack	= ar71xx_pci_irq_mask,
+	.name		= "AR71XX PCI",
+	.irq_mask	= ar71xx_pci_irq_mask,
+	.irq_unmask	= ar71xx_pci_irq_unmask,
+	.irq_mask_ack	= ar71xx_pci_irq_mask,
 };
 
-static void __init ar71xx_pci_irq_init(void)
+static __init void ar71xx_pci_irq_init(void)
 {
-	void __iomem *base = ar71xx_reset_base;
+	void __iomem *base = ath79_reset_base;
 	int i;
 
 	__raw_writel(0, base + AR71XX_RESET_REG_PCI_INT_ENABLE);
 	__raw_writel(0, base + AR71XX_RESET_REG_PCI_INT_STATUS);
 
-	for (i = AR71XX_PCI_IRQ_BASE;
-	     i < AR71XX_PCI_IRQ_BASE + AR71XX_PCI_IRQ_COUNT; i++) {
-		irq_desc[i].status = IRQ_DISABLED;
-		set_irq_chip_and_handler(i, &ar71xx_pci_irq_chip,
+	BUILD_BUG_ON(ATH79_PCI_IRQ_COUNT < AR71XX_PCI_IRQ_COUNT);
+
+	for (i = ATH79_PCI_IRQ_BASE;
+	     i < ATH79_PCI_IRQ_BASE + AR71XX_PCI_IRQ_COUNT; i++)
+		irq_set_chip_and_handler(i, &ar71xx_pci_irq_chip,
 					 handle_level_irq);
-	}
 
-	set_irq_chained_handler(AR71XX_CPU_IRQ_IP2, ar71xx_pci_irq_handler);
+	irq_set_chained_handler(ATH79_CPU_IRQ_IP2, ar71xx_pci_irq_handler);
 }
 
-int __init ar71xx_pcibios_init(void)
+static __init void ar71xx_pci_reset(void)
 {
-	void __iomem *ddr_base = ar71xx_ddr_base;
+	void __iomem *ddr_base = ath79_ddr_base;
 
-	ar71xx_device_stop(RESET_MODULE_PCI_BUS | RESET_MODULE_PCI_CORE);
-	ar71xx_pci_delay();
+	ath79_device_reset_set(AR71XX_RESET_PCI_BUS | AR71XX_RESET_PCI_CORE);
+	mdelay(100);
 
-	ar71xx_device_start(RESET_MODULE_PCI_BUS | RESET_MODULE_PCI_CORE);
-	ar71xx_pci_delay();
+	ath79_device_reset_clear(AR71XX_RESET_PCI_BUS | AR71XX_RESET_PCI_CORE);
+	mdelay(100);
 
-	ar71xx_pcicfg_base = ioremap_nocache(AR71XX_PCI_CFG_BASE,
-						AR71XX_PCI_CFG_SIZE);
+	__raw_writel(AR71XX_PCI_WIN0_OFFS, ddr_base + AR71XX_DDR_REG_PCI_WIN0);
+	__raw_writel(AR71XX_PCI_WIN1_OFFS, ddr_base + AR71XX_DDR_REG_PCI_WIN1);
+	__raw_writel(AR71XX_PCI_WIN2_OFFS, ddr_base + AR71XX_DDR_REG_PCI_WIN2);
+	__raw_writel(AR71XX_PCI_WIN3_OFFS, ddr_base + AR71XX_DDR_REG_PCI_WIN3);
+	__raw_writel(AR71XX_PCI_WIN4_OFFS, ddr_base + AR71XX_DDR_REG_PCI_WIN4);
+	__raw_writel(AR71XX_PCI_WIN5_OFFS, ddr_base + AR71XX_DDR_REG_PCI_WIN5);
+	__raw_writel(AR71XX_PCI_WIN6_OFFS, ddr_base + AR71XX_DDR_REG_PCI_WIN6);
+	__raw_writel(AR71XX_PCI_WIN7_OFFS, ddr_base + AR71XX_DDR_REG_PCI_WIN7);
+
+	mdelay(100);
+}
+
+__init int ar71xx_pcibios_init(void)
+{
+	u32 t;
+
+	ar71xx_pcicfg_base = ioremap(AR71XX_PCI_CFG_BASE, AR71XX_PCI_CFG_SIZE);
 	if (ar71xx_pcicfg_base == NULL)
 		return -ENOMEM;
 
-	__raw_writel(PCI_WIN0_OFFS, ddr_base + AR71XX_DDR_REG_PCI_WIN0);
-	__raw_writel(PCI_WIN1_OFFS, ddr_base + AR71XX_DDR_REG_PCI_WIN1);
-	__raw_writel(PCI_WIN2_OFFS, ddr_base + AR71XX_DDR_REG_PCI_WIN2);
-	__raw_writel(PCI_WIN3_OFFS, ddr_base + AR71XX_DDR_REG_PCI_WIN3);
-	__raw_writel(PCI_WIN4_OFFS, ddr_base + AR71XX_DDR_REG_PCI_WIN4);
-	__raw_writel(PCI_WIN5_OFFS, ddr_base + AR71XX_DDR_REG_PCI_WIN5);
-	__raw_writel(PCI_WIN6_OFFS, ddr_base + AR71XX_DDR_REG_PCI_WIN6);
-	__raw_writel(PCI_WIN7_OFFS, ddr_base + AR71XX_DDR_REG_PCI_WIN7);
+	ar71xx_pci_reset();
 
-	ar71xx_pci_delay();
+	/* setup COMMAND register */
+	t = PCI_COMMAND_MEMORY | PCI_COMMAND_MASTER | PCI_COMMAND_INVALIDATE
+	  | PCI_COMMAND_PARITY | PCI_COMMAND_SERR | PCI_COMMAND_FAST_BACK;
+	ar71xx_pci_local_write(PCI_COMMAND, 4, t);
 
 	/* clear bus errors */
-	(void)ar71xx_pci_be_handler(1);
+	ar71xx_pci_check_error(1);
 
-	ar71xx_pci_fixup_enable = 1;
 	ar71xx_pci_irq_init();
+
 	register_pci_controller(&ar71xx_pci_controller);
 
 	return 0;


comment:15 Changed 6 years ago by acoul

just for the record, here is the last official firmware for the RouterStation

Board: Ubiquiti RouterStation
RAM: 0x80000000-0x84000000, [0x8003ba50-0x83fe1000] available
FLASH: 0xbf000000 - 0xc0000000, 256 blocks of 0x00010000 bytes each.
== Executing boot script in 1.000 seconds - enter ^C to abort
RedBoot> fis load -d -e kernel
Trying LZMA decompression...
Image loaded from 0x80060000-0x802cf086
Image is not ELF, skipping ELF parsing...
RedBoot> exec
Now booting linux kernel:
 Base address 0x80050000 Entry 0x80060000
Linux version 2.6.28.9 (mtaylor@ubnt-dev) (gcc version 4.1.2) #1 Fri Apr 24 16:19:02 PDT 2009
console [early0] enabled
CPU revision is: 00019374 (MIPS 24Kc)
Atheros AR7161 rev 2 (id:0xaa), CPU:680.000 MHz, AHB:170.000 MHz, DDR:340.000 MHz
Determined physical RAM map:
 memory: 04000000 @ 00000000 (usable)
Initrd not found or empty - disabling initrd
Zone PFN ranges:
  Normal   0x00000000 -> 0x00004000
Movable zone start PFN for each node
early_node_map[1] active PFN ranges
    0: 0x00000000 -> 0x00004000
Built 1 zonelists in Zone order, mobility grouping on.  Total pages: 16256
Kernel command line: rootfstype=squashfs,yaffs,jffs2 noinitrd console=ttyS0,115200 init=/etc/preinit
Primary instruction cache 64kB, VIPT, 4-way, linesize 32 bytes.
Primary data cache 32kB, 4-way, VIPT, cache aliases, linesize 32 bytes
Writing ErrCtl register=0007eff2
Readback ErrCtl register=0007eff2
PID hash table entries: 256 (order: 8, 1024 bytes)
Dentry cache hash table entries: 8192 (order: 3, 32768 bytes)
Inode-cache hash table entries: 4096 (order: 2, 16384 bytes)
Memory: 61912k/65536k available (1893k kernel code, 3552k reserved, 465k data, 136k init, 0k highmem)
SLUB: Genslabs=6, HWalign=32, Order=0-3, MinObjects=0, CPUs=1, Nodes=1
Calibrating delay loop... 452.19 BogoMIPS (lpj=2260992)
Mount-cache hash table entries: 512
net_namespace: 708 bytes
NET: Registered protocol family 16
MIPS: machine is Ubiquiti RouterStation
registering PCI controller with io_map_base unset
pci 0000:00:00.0: PME# supported from D0 D1 D2 D3hot
pci 0000:00:00.0: PME# disabled
pci 0000:00:11.0: PME# supported from D0 D1 D2 D3hot
pci 0000:00:11.0: PME# disabled
pci 0000:00:12.0: PME# supported from D0 D1 D2 D3hot
pci 0000:00:12.0: PME# disabled
pci 0000:00:13.0: PME# supported from D0 D1 D2 D3hot
pci 0000:00:13.0: PME# disabled
PCI: mapping irq 32 to pin1@0000:00:11.0
PCI: mapping irq 33 to pin1@0000:00:12.0
PCI: mapping irq 34 to pin1@0000:00:13.0
NET: Registered protocol family 2
IP route cache hash table entries: 1024 (order: 0, 4096 bytes)
TCP established hash table entries: 2048 (order: 2, 16384 bytes)
TCP bind hash table entries: 2048 (order: 1, 8192 bytes)
TCP: Hash tables configured (established 2048 bind 2048)
TCP reno registered
NET: Registered protocol family 1
squashfs: version 3.0 (2006/03/15) Phillip Lougher
Registering mini_fo version $Id$
JFFS2 version 2.2. (NAND) (SUMMARY)  �© 2001-2006 Red Hat, Inc.
yaffs Apr 24 2009 16:15:27 Installing. 
msgmni has been set to 121
io scheduler noop registered
io scheduler deadline registered (default)
Serial: 8250/16550 driver1 ports, IRQ sharing disabled
serial8250.0: ttyS0 at MMIO 0x18020000 (irq = 11) is a 16550A
console handover: boot [early0] -> real [ttyS0]
ag71xx_mdio: probed
eth0: Atheros AG71xx at 0xb9000000, irq 4
eth1: Atheros AG71xx at 0xba000000, irq 5
Atheros AR71xx SPI Controller driver version 0.2.2
m25p80 spi0.0: mx25l128 (16384 Kbytes)
Searching for RedBoot partition table in spi0.0 at offset 0xfe0000
Searching for RedBoot partition table in spi0.0 at offset 0xff0000
7 RedBoot partitions found on MTD device spi0.0
Creating 7 MTD partitions on "spi0.0":
0x00000000-0x00030000 : "RedBoot"
0x00030000-0x00110000 : "kernel"
0x00110000-0x00bd0000 : "rootfs"
mtd: partition "rootfs" set to be root filesystem
mtd: partition "rootfs_data" created automatically, ofs=5D0000, len=600000 
0x005d0000-0x00bd0000 : "rootfs_data"
0x00bd0000-0x00fd0000 : "data"
0x00fd0000-0x00ff0000 : "cfg"
0x00ff0000-0x00fff000 : "FIS directory"
0x00fff000-0x01000000 : "RedBoot config"
Atheros AR71xx hardware watchdog driver version 0.1.0
TCP vegas registered
NET: Registered protocol family 17
Bridge firewalling registered
802.1Q VLAN Support v1.8 Ben Greear <greearb@candelatech.com>
All bugs added by David S. Miller <davem@redhat.com>
VFS: Mounted root (squashfs filesystem) readonly.
Freeing unused kernel memory: 136k freed
Please be patient, while OpenWrt loads ...
Algorithmics/MIPS FPU Emulator v1.5
- preinit -
Press CTRL-C for failsafe
jffs2 not ready yet; using ramdisk
mini_fo: using base directory: /
mini_fo: using storage directory: /tmp/root
- init -

Please press Enter to activate this console. device eth0 entered promiscuous mode
eth1: link up (100Mbps/Full duplex)
device eth1 entered promiscuous mode
br-lan: topology change detected, propagating
br-lan: port 2(eth1) entering forwarding state
eth0: link up (100Mbps/Full duplex)
br-lan: topology change detected, propagating
br-lan: port 1(eth0) entering forwarding state
br-lan: port 2(eth1) entering disabled state
br-lan: port 1(eth0) entering disabled state
br-lan: topology change detected, propagating
br-lan: port 2(eth1) entering forwarding state
br-lan: topology change detected, propagating
br-lan: port 1(eth0) entering forwarding state
NET: Registered protocol family 10
lo: Disabled Privacy Extensions
cfg80211: Using static regulatory domain info
cfg80211: Regulatory domain: US
        (start_freq - end_freq @ bandwidth), (max_antenna_gain, max_eirp)
        (2402000 KHz - 2472000 KHz @ 40000 KHz), (600 mBi, 2700 mBm)
        (5170000 KHz - 5190000 KHz @ 40000 KHz), (600 mBi, 2300 mBm)
        (5190000 KHz - 5210000 KHz @ 40000 KHz), (600 mBi, 2300 mBm)
        (5210000 KHz - 5230000 KHz @ 40000 KHz), (600 mBi, 2300 mBm)
        (5230000 KHz - 5330000 KHz @ 40000 KHz), (600 mBi, 2300 mBm)
        (5735000 KHz - 5835000 KHz @ 40000 KHz), (600 mBi, 3000 mBm)
cfg80211: Calling CRDA for country: US
SCSI subsystem initialized
usbcore: registered new interface driver usbfs
usbcore: registered new interface driver hub
usbcore: registered new device driver usb
NTFS driver 2.1.29 [Flags: R/O MODULE].
PPP generic driver version 2.4.2
tun: Universal TUN/TAP device driver, 1.6
tun: (C) 1999-2004 Max Krasnyansky <maxk@qualcomm.com>
PPP MPPE Compression module registered
ip6tnl0: Disabled Privacy Extensions
IPv6 over IPv4 tunneling driver
sit0: Disabled Privacy Extensions
Ethernet Channel Bonding Driver: v3.3.0 (June 10, 2008)
bonding: Warning: either miimon or arp_interval and arp_ip_target module parameters must be specified, otherwise bonding will not detect link failures! see bonding.txt for details.
ip_tables: (C) 2000-2006 Netfilter Core Team
Driver 'sd' needs updating - please use bus_type methods
ehci_hcd: USB 2.0 'Enhanced' Host Controller (EHCI) Driver
ar71xx-ehci ar71xx-ehci: Atheros AR71xx built-in EHCI controller
ar71xx-ehci ar71xx-ehci: new USB bus registered, assigned bus number 1
ar71xx-ehci ar71xx-ehci: irq 3, io mem 0x1b000000
ar71xx-ehci ar71xx-ehci: USB 2.0 started, EHCI 1.00
usb usb1: configuration #1 chosen from 1 choice
hub 1-0:1.0: USB hub found
hub 1-0:1.0: 2 ports detected
nf_conntrack version 0.5.0 (1024 buckets, 4096 max)
CONFIG_NF_CT_ACCT is deprecated and will be removed soon. Please use
nf_conntrack.acct=1 kernel paramater, acct=1 nf_conntrack module option or
sysctl net.netfilter.nf_conntrack_acct=1 to enable it.
IMQ driver loaded successfully.
        Hooking IMQ before NAT on PREROUTING.
        Hooking IMQ after NAT on POSTROUTING.
nf_conntrack_rtsp v0.6.21 loading
nf_nat_rtsp v0.6.21 loading
Ebtables v2.0 registered
ip6_tables: (C) 2000-2006 Netfilter Core Team
wlan: trunk
ath_hal: module license 'Proprietary' taints kernel.
ath_hal: 2008-10-02 (AR5210, AR5211, AR5212, AR5416, RF5111, RF5112, RF2413, RF5413, RF2133, RF2425, REGOPS_FUNC, DFS, XR)
ath_rate_minstrel: Minstrel automatic rate control algorithm 1.2 (trunk)
ath_rate_minstrel: look around rate set to 10%
ath_rate_minstrel: EWMA rolloff level set to 75%
ath_rate_minstrel: max segment size in the mrr set to 6000 us
wlan: mac acl policy registered
ath_pci: trunk
ohci_hcd: USB 1.1 'Open' Host Controller (OHCI) Driver
ar71xx-ohci ar71xx-ohci: Atheros AR71xx built-in OHCI controller
ar71xx-ohci ar71xx-ohci: new USB bus registered, assigned bus number 2
ar71xx-ohci ar71xx-ohci: irq 14, io mem 0x1c000000
usb usb2: configuration #1 chosen from 1 choice
hub 2-0:1.0: USB hub found
hub 2-0:1.0: 2 ports detected
Registered led device: ubnt:green:rf
usbcore: registered new interface driver snd-usb-audio
usbcore: registered new interface driver usbserial
USB Serial support registered for generic
usbcore: registered new interface driver usbserial_generic
usbserial: USB Serial Driver core
Initializing USB Mass Storage driver...
usbcore: registered new interface driver usb-storage
USB Mass Storage support registered.
gpio-buttons driver version 0.1.1
input: gpio-buttons as /devices/platform/gpio-buttons/input/input0
USB Serial support registered for ark3116
usbcore: registered new interface driver ark3116
USB Serial support registered for pl2303
usbcore: registered new interface driver pl2303
pl2303: Prolific PL2303 USB to serial adaptor driver
fuse init (API version 7.10)
can't load conntrack support for proto=24
can't load conntrack support for proto=24
jffs2_scan_eraseblock(): End of filesystem marker found at 0x0
jffs2_build_filesystem(): unlocking the mtd device... done.
jffs2_build_filesystem(): erasing all blocks after the end marker... done.
mini_fo: using base directory: /
mini_fo: using storage directory: /jffs



BusyBox v1.11.3 (2009-04-24 15:33:53 PDT) built-in shell (ash)
Enter 'help' for a list of built-in commands.

  _______                     ________        __
 |       |.-----.-----.-----.|  |  |  |.----.|  |_
 |   -   ||  _  |  -__|     ||  |  |  ||   _||   _|
 |_______||   __|_____|__|__||________||__|  |____|
          |__| W I R E L E S S   F R E E D O M
 KAMIKAZE (bleeding edge, r15349) -------------------
  * 10 oz Vodka       Shake well with ice and strain
  * 10 oz Triple sec  mixture into 10 shot glasses.
  * 10 oz lime juice  Salute!
 ---------------------------------------------------
root@RouterStation:/# cat /proc/version 
Linux version 2.6.28.9 (mtaylor@ubnt-dev) (gcc version 4.1.2) #1 Fri Apr 24 16:19:02 PDT 2009
root@RouterStation:/# cat /proc/cpuinfo 
system type             : Atheros AR7161 rev 2 (id:0xaa)
machine                 : Ubiquiti RouterStation
processor               : 0
cpu model               : MIPS 24Kc V7.4
BogoMIPS                : 452.19
wait instruction        : yes
microsecond timers      : yes
tlb_entries             : 16
extra interrupt vector  : yes
hardware watchpoint     : yes, count: 4, address/irw mask: [0x0000, 0x0fe8, 0x0ffb, 0x0cf8]
ASEs implemented        : mips16
shadow register sets    : 1
core                    : 0
VCED exceptions         : not available
VCEI exceptions         : not available

root@RouterStation:/# cat /proc/interrupts 
           CPU0       
  2:          0            MIPS  cascade [AR71XX PCI]
  3:          0            MIPS  ehci_hcd:usb1
  4:         55            MIPS  eth0
  5:         28            MIPS  eth1
  6:          0            MIPS  cascade [AR71XX MISC]
  7:      12955            MIPS  timer
 10:          0     AR71XX MISC  cascade [AR71XX GPIO]
 11:        194     AR71XX MISC  serial
 14:          0     AR71XX MISC  ohci_hcd:usb2

ERR:          0
root@RouterStation:/#

comment:16 Changed 6 years ago by juhosg

  • Resolution set to fixed
  • Status changed from new to closed

Fixed in r32639.

comment:17 Changed 4 years ago by jow

  • Milestone changed from Attitude Adjustment 12.09 to Barrier Breaker 14.07

Milestone Attitude Adjustment 12.09 deleted

Add Comment

Modify Ticket

Action
as closed .
The resolution will be deleted. Next status will be 'reopened'.
Author


E-mail address and user name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.